<?php include_once('config.php') ?>
<!-- Main Sidebar Container -->


<style>
  #empresaLogada,
  #usuarioLogado {
    white-space: normal !important;
  }

  .dropdown-item {
    width: auto;
  }

  #div_notificacoes {
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
  }

  div > #btnAddNotificacao {
    display: flex;
    width: 100%;
    justify-content: center;
  }

</style>
<link rel="stylesheet" href="<?php echo BASE_URI; ?>/plugins/toastr/toastr.min.css?versao=3.231.25.1">
<link rel="stylesheet" href="<?php echo BASE_URI; ?>/plugins/select2/css/select2.min.css?versao=3.231.25.1">
<link rel="stylesheet" href="<?php echo BASE_URI; ?>/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.231.25.1">

<nav class="main-header navbar navbar-expand navbar-red navbar-light">
  <!-- Left navbar links -->
  <ul class="navbar-nav">
    <li class="nav-item">
      <a style="color:white" class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
    </li>
  </ul>
  <ul class="navbar-nav ml-auto">
    <!-- Messages Dropdown Menu -->
    <li class="nav-item dropdown">
      <a class="nav-link" href="#" id="botao_notificacoes">
        <i class="far fa-bell text-white" style="font-size: 25px"></i>
        <span id="numero_notificacoes" class="badge badge-warning navbar-badge" style="top: 4px; font-weight: bold; font-size: 12px">0</span>
      </a>
      <div id="div_notificacoes" class="dropdown-menu dropdown-menu-xl dropdown-menu-right" style="max-width: 1200px;left: inherit; right: 0px;">
        <div class="flex">
          <span class="dropdown-item dropdown-header">Notificações</span>
          <button id="btnAddNotificacao" class="btn btn-danger btn-xs"><i class="fas fa-plus"></i></button>
        </div>
        <!-- <div class="dropdown-divider"></div>
        <a style="display: flex;align-items: center;justify-content: space-between;grid-gap:1rem" href="#" class="dropdown-item">
          <i class="fas fa-exclamation-triangle"></i> Falha ao enviar mensagem whatsapp ...
          <span class="float-right text-muted text-sm">22/09/2022</span>
        </a>
        <div class="dropdown-divider"></div>
        <a style="display: flex;align-items: center;justify-content: space-between;grid-gap:1rem" href="#" class="dropdown-item">
          <i class="fas fa-exclamation-triangle"></i> Erro ao transmitir Bloco X ...
          <span class="float-right text-muted text-sm">21/09/2022</span>
        </a> -->
        <div class="dropdown-divider"></div>
      </div>
    </li>

    <li class="nav-item dropdown">
      <a class="nav-link" data-toggle="dropdown" href="#">
        <i style="font-size: 25px" class="fas fa-user text-white"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
        <a id="btn-senha" class="dropdown-item">
          Alterar Senha
        </a>
        <a id="btn-deslogar" href="" class="dropdown-item">
          Deslogar
        </a>
      </div>
    </li>
  </ul>

</nav>

<aside class="main-sidebar sidebar-dark-primary elevation-4">
  <a href="<?php echo BASE_URI; ?>/index.php" class="brand-link">
    <img src="<?php echo BASE_URI; ?>/dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image" style="opacity: .8">
    <span class="brand-text font-weight-light">Sisplan WEB</span>
  </a>

  <div class="sidebar">
    <div style="text-align:center;" class="mt-2">
      <label id="switch" class="switch">
        <input type="checkbox" onchange="toggleTheme()" id="theme-slider">
        <span class="theme-slider round"></span>
      </label>
    </div>

    <div class="user-panel mt-3 pb-3 mb-3 d-flex">
      <div class="info">
        <a id="usuarioLogado" class="d-block">Usuário logado</a>
        <a id="empresaLogada" class="d-block">Empresa logada</a>
      </div>
    </div>

    <div>
      <form class="form-inline" style="padding-left: 5%; padding-right: 5%">
        <div class="input-group input-group-sm">
          <input class="form-control form-control-navbar" autocomplete="off" id="myInput" style="background-color: #343a40; color: white" type="text" placeholder="Pesquisar (F12)" aria-label="Pesquisar">
        </div>
      </form>
    </div>

    <table id="tableMenu">
      <tbody id="tabelaSearch" class="d-none">
        <tr class="trMenu d-none" id="search_libera_acesso">
          <td class="tdMenu nav-item" id="acesso_menu">
            <a href="<?php echo BASE_URI; ?>/acesso_menu" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberação de Acessos</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_libera_registro">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/liberar_registro" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberar Registro</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_permissoes_tela">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/permissoes_tela" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Permissões Tela</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_usuario">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/usuario" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Usuário</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_entidade">
          <td class="tdMenu nav-item" id="cliente">
            <a href="<?php echo BASE_URI; ?>/cliente" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cliente</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_loja_principal">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/loja" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Loja Principal</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_venda_caixa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/caixa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Caixa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_venda_preco">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/precos" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Preço Loja</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_imprimir_nfce">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/nfce" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Impressão NFC-e</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_contas_a_pagar">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/pagar" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Contas a Pagar</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_contas_a_receber">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/receber" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Contas a Receber</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_recibo">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/recibo" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Recibo</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cheque">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cheque" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cheque</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_faturamento_geral">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/faturamento/create" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Faturamento Geral</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_impressao_nfe">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/nfeimpressao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Impressão NFe</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cep">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cep" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CEP</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_moeda">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/moeda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Moeda</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_unidade">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/unidade" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Unidade</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_tamanho">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/tamanho" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Tamanho</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cor">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cor" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cor</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_grupoproduto">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/grupo" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Grupo de Produto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cstpis">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cstpis" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CST PIS</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cstcofins">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cstcofins" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CST COFINS</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_enquadra">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/enquadra" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Enquadramento IPI</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_linha">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/linha" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Linha</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_marca">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/marca" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Marca</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_colecao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/colecao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Coleção</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_grupocor">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/grupocor" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Grupo de Cor</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_base_reduzida">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/regrafiscal" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Regra Fiscal</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_operacao_fiscal">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/operacaofiscal" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Operação Fiscal</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_exporta_fiscal">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/exportafiscal" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Exportação Fiscal</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_faixatamanho">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/faixatamanho" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Faixa de Tamanho</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_preco">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/preco" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Preço</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_regiao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/tabeladepreco" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Tabela de Preço</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_produto">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/produto" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Produto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_transportadora">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/transportadora" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Transportadora</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_representante">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/representante" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Representante</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_sped">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/sped" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Sped</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_clafiscal">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/clafiscal" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> NCM</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_clatrib">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/clatrib" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CST ICMS</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_csosn">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/csosn" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CSOSN</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cstipi">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cstipi" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CST IPI</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_deposito">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/deposito" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Depósito</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_etiqueta">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/etiqueta" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Etiqueta</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_natureza">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/natureza" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Natureza</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_regra">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/regra" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Regra</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_situacao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/situacao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Situação do Produto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_prod_entrada_manual">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/prod_entrada_manual" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Entrada Manual Produto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_prod_saida_manual">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/prod_saida_manual" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Saída Manual Produto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_transferencia_deposito">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/transferencia_deposito_prod" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Transferência Depósito Prod.</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_localizacao_estoque">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/localizacao_estoque" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Localização Estoque</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_entrada_nf">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/entrada_nf" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Entrada NF</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_solicitacao_compra">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/solicitacao_compra" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Solicitaçao de Compra</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_ordem_compra">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/ordem_compra" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Ordem de Compra</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_liberacao_oc">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/liberacao_oc" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberação O.C.</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cfe">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cfe" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Impressão CF-e</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cfe_complementar">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cfe_complementar" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> CF-e Complementar</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_maquinacartao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/maquinacartao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Máquina de Cartão</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioEstoque">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relestoque" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Estoque de Produto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioEstoqueMat">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relestoquemat" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Estoque de Material</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioVenda">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relvenda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Venda</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioCliente">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relcliente" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Clientes</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioReceber">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relreceber" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório do Receber</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioTitulosRecebidos">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/reltitulosrecebidos" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Títulos Rec.</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioEmbarque">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relembarque" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Embarque</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioComissao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relcomissao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Comissão</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioAniversario">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relaniversario" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Aniversário</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioTag">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/reltag" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Tag</p>
            </a>
          </td>
        </tr>
        
        <tr class="trMenu d-none" id="search_regra_promocao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/regrapromocao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Regra de Promoção</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_precoCorTam">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/precocortam" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Preço por cor e tamanho</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadcaixa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadcaixa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cadastro de Caixa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_vendedorcaixa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/vendedorcaixa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Vendedor Caixa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_situacaoDuplicata">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/situacaoduplicata" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Situação da Duplicata</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_condicaopagamento">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/condicaopagamento" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Condição de Pagamento</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadconta">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadconta" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Conta Corrente</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_classegerencial">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/classegerencial" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Classe Gerencial</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_consultalog">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/consultalog" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Consulta de Logs</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_empresa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/empresa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Empresa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadbanco">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadbanco" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cadastro de Banco</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_material">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/material" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Material</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_subgrupomaterial">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/subgrupoma" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Subgrupo de Material</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_grupomaterial">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/grupomaterial" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Grupo de Material</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_gerainventario">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/inventario" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Inventário</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_importacao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/importacao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Importação</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadprazo">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadprazo" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Prazo de Entrega</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadparte">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadparte" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Parte</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadsetor">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadsetor" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Setor</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_mat_saida_manual">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/mat_saida_manual" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Saída Manual Material</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_mat_entrada_manual">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/mat_entrada_manual" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Entrada Manual Material</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_inventarioMat">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/inventarioMat" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Inventário Materiais</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relMovEstoque">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relmovimentacao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Movimentação de Estoque</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relRankingLoja">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/rellojarank" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Ranking Loja</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioMeta">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relmetavendas" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Meta</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_reatorioMoeda">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relmoeda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Moeda</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_menuUf">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/uf" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Uf</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_menuOrdemProducao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/ordemproducao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Ordem de Produção</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_operadoratef">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/operadoratef" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Informações do TEF</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_conferenciainv">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/conferencia_inv" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Conferência de Inventário</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_config_whatsapp">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/config_whatsapp" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Configuração Whatsapp</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadpadrao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadpadrao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Valores Padrões</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_manutencaoinv">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/manutencaoinventario" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Manutenção de Inventário</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_acesso_dash">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/dashboard/acesso" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberação de Acesso Dashboard</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadastro_dash">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/dashboard" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cadastro Dashboard</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_confimpressao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/confimpressao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Ordem Impressão</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_nota_complementar">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/nota_complementar" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Nota Complementar</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_agrupamento">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/agrupamento_venda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Agrupamento Venda</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cancelamento">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cancelamento_venda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cancelamento Venda Pendente</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_tipovenda">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/tipovenda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Tipo de Venda</p>
            </a>
          </td>
        </tr>
        <!-- <tr class="trMenu d-none" id="search_regravenda">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/regravenda" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Regra de Venda</p>
            </a>
          </td>
        </tr> -->
        <tr class="trMenu d-none" id="search_tipocontato">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/tipocontato" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Tipo de Contato</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cupomdesconto">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadcupomdesconto" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cupom de Desconto</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_contagem_caixa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/contagem_caixa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Contagem de Caixa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_expedicao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/expedicao/create" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Expedição</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_liberacao_expedicao">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/liberacao_expedicao" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberação Expedição</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_controle_embarque">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/embarque" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Controle de Embarque</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_pedido">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/pedido" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Pedido</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_liberacao_comercial">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/liberacao_comercial" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberação Comercial</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_liberacao_financeiro">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/liberacao_financeiro" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Liberação Financeiro</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_grupocliente">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/grupocliente" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Grupo de Cliente</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_cadastrohistorico">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/cadhistorico" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Cadastro de Histórico</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relfaturamento">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relfaturamento" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Faturamento</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_metas">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/metas" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Metas</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_tipobaixa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/tipobaixa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Tipo de Baixa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_local">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/local" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Local</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_transferencia_deposito_mat">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/transferencia_deposito_mat" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Transferência Depósito Mat.</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_tag">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/tag" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> TAG</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioPedidos">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relpedidos" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Pedidos</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatoriocaixa">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/relcaixa" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Caixa</p>
            </a>
          </td>
        </tr>
        <tr class="trMenu d-none" id="search_relatorioTabPrecosProd">
          <td class="tdMenu nav-item">
            <a href="<?php echo BASE_URI; ?>/reltabprecosprod" class="navSearchMenu">
              <p class="pSearch"><i class="fas fa-arrow-right nav-icon"></i> Relatório de Tabelas de Preço do Produto</p>
            </a>
          </td>
        </tr>
      </tbody>
    </table>

    <!-- Sidebar Menu -->
    <nav class="mt-2" id="menuGeral">

      <ul class="nav nav-pills nav-sidebar flex-column nav-compact" data-widget="treeview" role="menu" data-accordion="false" id="menu_esquerda">

        <li id="searchEsconde" class="nav-item d-none">
          <a href="" class="nav-link">
            <i class="nav-icon fas fa-search"></i>
            <p>
              Pesquisa (F12)
            </p>
          </a>
        </li>
        <li class="nav-item">
          <a href="<?php echo BASE_URI; ?>/index" class="nav-link">
            <i class="nav-icon fas fa-home"></i>
            <p>
              Início
            </p>
          </a>
        </li>

        <li id="menu_cadastros" class="d-none nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-edit"></i>
            <p>
              Cadastros
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>


          <ul class="nav nav-treeview">
            <li id="menu_entidadegeral" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-users"></i>
                <p>
                  Entidade
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul id="menu_entidade" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cliente" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Cliente</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_transportadora" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/transportadora" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Transportadora</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_representante" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/representante" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Representante</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>

          <ul class="nav nav-treeview">
            <li id="menu_fiscalgeral" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-balance-scale"></i>
                <p>
                  Fiscal
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul id="menu_natureza" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/natureza" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Natureza</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cstpis" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cstpis" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>CST PIS</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cstcofins" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cstcofins" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>CST COFINS</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_enquadra" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/enquadra" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Enquadramento IPI</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_sped" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/sped" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>SPED</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_clafiscal" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/clafiscal" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>NCM</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_clatrib" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/clatrib" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>CST ICMS</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_csosn" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/csosn" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>CSOSN</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cstipi" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cstipi" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>CST IPI</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>

          <ul class="nav nav-treeview">
            <li id="menu_produtogeral" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-box-open"></i>
                <p>
                  Produto
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul id="menu_produto" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/produto" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Produto</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_unidade" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/unidade" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Unidade</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_tamanho" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/tamanho" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Tamanho</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cor" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cor" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Cor</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_grupoproduto" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/grupo" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Grupo de Produto</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_linha" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/linha" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Linha</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_marca" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/marca" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Marca</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_colecao" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/colecao" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Coleção</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_grupocor" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/grupocor" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Grupo de Cor</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_faixatamanho" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/faixatamanho" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Faixa de Tamanho</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_etiqueta" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/etiqueta" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Etiqueta</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_situacao" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/situacao" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Situação do Produto</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_tag" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/tag" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>TAG</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>

          <ul class="nav nav-treeview">
            <li id="menu_materialgeral" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-cubes"></i>
                <p>
                  Material
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul id="menu_material" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/material" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Material</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_grupomaterial" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/grupomaterial" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Grupo de Material</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_subgrupomaterial" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/subgrupoma" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Subgrupo de Material</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>

          <ul class="nav nav-treeview">
            <li id="menu_geral" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-archive"></i>
                <p>
                  Geral
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul id="menu_moeda" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/moeda" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Moeda</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_preco" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/preco" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Preço</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_precocortam" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/precocortam" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Preço por Cor/Tamanho</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_regiao" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/tabeladepreco" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Tabela de Preço</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_deposito" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/deposito" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Depósito</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_regra" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/regra" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Regra</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cep" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cep" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>CEP</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_maquinacartao" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/maquinacartao" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Máquina de Cartão</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_regra_promocao" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/regrapromocao" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Regra de Promoção</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadcaixa" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadcaixa" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Caixa</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_vendedorcaixa" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/vendedorcaixa" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Vendedor Caixa</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_situacaoduplicata" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/situacaoduplicata" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Situação da Duplicata</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_condicaopagamento" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/condicaopagamento" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Condição de Pagamento</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadconta" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadconta" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Conta Corrente</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_classegerencial" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/classegerencial" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Classe Gerencial</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadbanco" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadbanco" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Cadastro de Banco</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadprazo" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadprazo" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Prazo de Entrega</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadparte" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadparte" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Parte</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadsetor" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadsetor" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Setor</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_uf" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/uf" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Uf</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_operadoratef" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/operadoratef" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Informações do TEF</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_confimpressao" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/confimpressao" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Ordem Impressão</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_grupocliente" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/grupocliente" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Grupo de Cliente</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_tipovenda" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/tipovenda" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Tipo de Venda</p>
                  </a>
                </li>
              </ul>
              <!-- <ul id="menu_regravenda" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/regravenda" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Regra de Venda</p>
                  </a>
                </li>
              </ul> -->
              <ul id="menu_tipocontato" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/tipocontato" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Tipo de Contato</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_cadastrohistorico" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/cadhistorico" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Cadastro de Histórico</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_metas" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/metas" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Metas</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_tipobaixa" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/tipobaixa" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Tipo de Baixa</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_local" class="d-none nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/local" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Local</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>

        </li>

        <li id="menu_compras" class="nav-item has-treeview d-none">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-shopping-cart"></i>
            <p>
              Compras
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_entrada_nf" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/entrada_nf" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Entrada NF</p>
              </a>
            </li>
          </ul>
          <ul id="menu_solicitacao_compra" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/solicitacao_compra" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Solicitação de Compra</p>
              </a>
            </li>
          </ul>
          <ul id="menu_ordem_compra" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/ordem_compra" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Ordem de Compra</p>
              </a>
            </li>
          </ul>
          <ul id="menu_liberacao_oc" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/liberacao_oc" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberação O.C.</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_loja" class="d-none nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-table"></i>
            <p>
              Loja
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_loja_principal" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/loja" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Loja Principal</p>
              </a>
            </li>
          </ul>
          <ul id="menu_venda_caixa" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/caixa" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Caixa</p>
              </a>
            </li>
          </ul>
          <ul id="menu_venda_preco" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/precos" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Preço</p>
              </a>
            </li>
          </ul>
          <ul id="menu_imprimir_nfce" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/nfce" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Impressão NFC-e</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cfe" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/cfe" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Impressão CF-e</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cfe_complementar" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/cfe_complementar" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>CF-e Complementar</p>
              </a>
            </li>
          </ul>
          <ul id="menu_agrupamento" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/agrupamento_venda" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Agrupamento Venda</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cancelamento" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/cancelamento_venda" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Cancelamento Venda Pendente</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cupomdesconto" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/cadcupomdesconto" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Cupom de desconto</p>
              </a>
            </li>
          </ul>
          <ul id="menu_contagem_caixa" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/contagem_caixa" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Contagem de Caixa</p>
              </a>
            </li>
          </ul>
        </li>

        <!-- FATURAMENTO  -->

        <li id="menu_faturamento" class="nav-item has-treeview d-none">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-dollar-sign"></i>
            <p>
              Faturamento
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_faturamento_geral" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/faturamento/create" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Faturamento Geral</p>
              </a>
            </li>
          </ul>
          <ul id="menu_nota_complementar" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/nota_complementar" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Nota Complementar</p>
              </a>
            </li>
          </ul>
          <ul id="menu_impressao_nfe" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/nfeimpressao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Impressão NFe</p>
              </a>
            </li>
          </ul>
          <ul id="menu_base_reduzida" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/regrafiscal" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Regra Fiscal</p>
              </a>
            </li>
          </ul>
          <ul id="menu_operacao_fiscal" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/operacaofiscal" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Operação Fiscal</p>
              </a>
            </li>
          </ul>
          <ul id="menu_exporta_fiscal" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/exportafiscal" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Exportação fiscal</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_financeiro" class="d-none nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-file-invoice-dollar"></i>
            <p>
              Financeiro
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_contas_a_pagar" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/pagar" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Contas a Pagar</p>
              </a>
            </li>
          </ul>
          <ul id="menu_contas_a_receber" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/receber" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Contas a Receber</p>
              </a>
            </li>
          </ul>
          <ul id="menu_recibo" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/recibo" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Recibo</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cheque" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/cheque" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Cheque</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_movimentacoes" class="nav-item has-treeview d-none">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-box"></i>
            <p>
              Movimentações
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>

          <ul class="nav nav-treeview">
            <li id="menu_movimentacoesproduto" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-box-open"></i>
                <p>
                  Produto
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>

              <ul id="prod_saida_manual" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/prod_saida_manual" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Saída Manual</p>
                  </a>
                </li>
              </ul>
              <ul id="prod_entrada_manual" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/prod_entrada_manual" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Entrada Manual</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_gerainventario" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/inventario" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Inventário</p>
                  </a>
                </li>
              </ul>
              <ul id="transferenciaDeposito" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/transferencia_deposito_prod" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Transferência de Depósito</p>
                  </a>
                </li>
              </ul>
              <ul id="menu_localizacao_estoque" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/localizacao_estoque" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Localização Estoque</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>
          <ul class="nav nav-treeview">
            <li id="menu_movimentacoesmaterial" class="nav-item">
              <a href="#" class="nav-link margemEsquerda">
                <i class="nav-icon fas fa-cubes"></i>
                <p>
                  Material
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul id="mat_saida_manual" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/mat_saida_manual" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Saída Manual</p>
                  </a>
                </li>
              </ul>
              <ul id="mat_entrada_manual" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/mat_entrada_manual" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Entrada Manual</p>
                  </a>
                </li>
              </ul>
              <ul id="inventarioMat" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/inventarioMat" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Inventário de Materiais</p>
                  </a>
                </li>
              </ul>
              <ul id="transferenciaDepositoMat" class="nav nav-treeview d-none">
                <li class="nav-item">
                  <a href="<?php echo BASE_URI; ?>/transferencia_deposito_Mat" class="nav-link margemEsquerdaDobro">
                    <i class="fas fa-arrow-right nav-icon"></i>
                    <p>Transferência de Depósito de Material</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>
          <ul id="menu_importacao" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/importacao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Importação</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_vendas" class="nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-store"></i>
            <p>
              Vendas
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_pedido" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/pedido" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Pedido</p>
              </a>
            </li>
          </ul>
          <ul id="menu_liberacao_comercial" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/liberacao_comercial" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberação Comercial</p>
              </a>
            </li>
          </ul>
          <ul id="menu_liberacao_financeiro" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/liberacao_financeiro" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberação Financeiro</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_producao" class="nav-item has-treeview d-none">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-industry"></i>
            <p>
              Produção
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_ordem_producao" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/ordemproducao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Ordem de Produção</p>
              </a>
            </li>
          </ul>
        </li>


        <li id="menu_expedicao" class="nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-truck"></i>
            <p>
              Expedição
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_expedicao_item" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/expedicao/create" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Expedição</p>
              </a>
            </li>
          </ul>
          <ul id="menu_controle_embarque" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/embarque" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Controle de Embarque</p>
              </a>
            </li>
          </ul>
          <ul id="menu_liberacao_expedicao" class="nav nav-treeview d-none">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/liberacao_expedicao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberação Expedição</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_relatorios" class="d-none nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-clipboard-list"></i>
            <p>
              Relatórios
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_relatorio_estoque" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relestoque" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Estoque de Produto</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_estoquemat" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relestoquemat" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Estoque de Material</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_venda" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relvenda" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Venda</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_cliente" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relcliente" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Cliente</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_receber" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relreceber" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório do Receber</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_titulosrecebidos" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/reltitulosrecebidos" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Títulos Rec.</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_movEstoque" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relmovimentacao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Movimentação de Estoque</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_ranking" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/rellojarank" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Ranking Loja</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_moeda" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relmoeda" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Moeda</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_meta" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relmetavendas" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Meta</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relfaturamento" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relfaturamento" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Faturamento</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_embarque" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relembarque" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Embarque</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_comissao" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relcomissao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Comissão</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_aniversario" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relaniversario" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Aniversário</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_tag" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/reltag" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Tag</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_pedidos" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relpedidos" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Pedidos</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_caixa" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/relcaixa" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Caixa</p>
              </a>
            </li>
          </ul>
          <ul id="menu_relatorio_tabprecosprod" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/reltabprecosprod" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Relatório de Tabela de Preços do Produto</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_sistema" class="d-none nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-laptop"></i>
            <p>
              Sistema
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_libera_acesso" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/acesso_menu" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberação de Acessos</p>
              </a>
            </li>
          </ul>
          <ul id="menu_libera_registro" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/liberar_registro" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberar Registro</p>
              </a>
            </li>
          </ul>
          <ul id="menu_permissoes_tela" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/permissoes_tela" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Permissões Tela</p>
              </a>
            </li>
          </ul>
          <ul id="menu_usuario" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/usuario" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Usuário</p>
              </a>
            </li>
          </ul>
          <ul id="menu_consultalog" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/consultalog" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Consulta de Log</p>
              </a>
            </li>
          </ul>
          <ul id="menu_empresa" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/empresa" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Empresa</p>
              </a>
            </li>
          </ul>
          <ul id="menu_manutencaoinv" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/manutencaoinventario" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Manutenção de Inventário</p>
              </a>
            </li>
          </ul>
          <ul id="menu_conferenciainv" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/conferencia_inv" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Conferência de Inventário</p>
              </a>
            </li>
          </ul>
          <ul id="menu_config_whatsapp" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/config_whatsapp" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Configuração Whatsapp</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cadpadrao" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/cadpadrao" class="nav-link margemEsquerda">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Valores Padrões</p>
              </a>
            </li>
          </ul>
        </li>

        <li id="menu_dashboard" class="d-none nav-item has-treeview">
          <a href="#" class="nav-link">
            <i class="nav-icon fas fa-chart-bar"></i>
            <p>
              DashBoard
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul id="menu_liberar_dash" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/dashboard/acesso" class="nav-link margemEsquerdaDobro">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Liberar Acesso</p>
              </a>
            </li>
          </ul>
          <ul id="menu_cadastro_dash" class="d-none nav nav-treeview">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/dashboard" class="nav-link margemEsquerdaDobro">
                <i class="fas fa-arrow-right nav-icon"></i>
                <p>Cadastro</p>
              </a>
            </li>
          </ul>
        </li>

        <li>
          <ul id="menu_parametros" class="d-none nav nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <li class="nav-item">
              <a href="<?php echo BASE_URI; ?>/parametros" class="nav-link">
                <i class="nav-icon fas fa-cog"></i>
                <p>
                  Parâmetros
                </p>
              </a>
            </li>
          </ul>
        </li>

      </ul>
    </nav>
  </div>
</aside>

<div class="modal fade bd-modal-sm" id="modalNotificacao">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h4>Notificação</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-6">
            <label for="txtNotificacaoOrigem">Origem</label>
            <input disabled type="text" placeholder="Origem" class="input-default" id="txtNotificacaoOrigem" name="txtNotificacaoOrigem">
          </div>
          <div class="col-sm-6">
            <label for="txtNotificacaoData">Data Cadastro</label>
            <input disabled type="datetime-local" placeholder="Data Cadastro" class="input-default" id="txtNotificacaoData" name="txtNotificacaoData">
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12">
            <div class="form-group" style="margin-bottom: 0.5rem!important;">
              <label for="txtNotificacaoDesc">Descrição:</label>
              <div class="relative">
                <input class="d-none" id="txtNotificacaoId" />
                <textarea class="input-default focus form-control validate" style="width: 100%" readonly disabled id="txtNotificacaoDesc" rows="10" placeholder="Descrição"></textarea>
              </div>
            </div>
          </div>
          <div class="col-sm-12" id="divNotificacaoDestino">
            <label for="txtNotificacaoDestino">Destino</label>
            <select class="js-example-basic-single" id="txtNotificacaoDestino" name="txtNotificacaoDestino">
            </select>
            <!-- <input disabled type="text" placeholder="Destino" class="input-default" id="txtNotificacaoDestino" name="txtNotificacaoDestino"> -->
          </div>
        </div>
      </div>
      <div id="modal-footer" class="modal-footer d-flex justify-content-rigth">
        <button class="btn btn-primary focus" id="btnConfirmarNotificacao">Confirmar</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade bd-modal-sm" id="modalAlterarSenha">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h4>Alterar Senha</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-group" style="margin-bottom: 0.5rem!important;">
          <label for="txtSenhaAntiga">Senha Antiga:</label>
          <div class="relative">
            <input type="password" name="txtSenhaAntiga" id="txtSenhaAntiga" class="input-default focus form-control validate" required="required">
            <span class="olho">
              <i class="fas fa-eye olhoAberto"></i>
              <i class="far fa-eye-slash d-none olhoFechado"></i>
            </span>

          </div>
        </div>
        <div class="form-group" style="margin-bottom: 0.5rem!important;">
          <label for="txtSenhaNova">Senha Nova:</label>
          <div class="relative">
            <input type="password" name="txtSenhaNova" id="txtSenhaNova" class="input-default focus form-control validate" required="required">
            <span class="olho">
              <i class="fas fa-eye olhoAberto"></i>
              <i class="far fa-eye-slash d-none olhoFechado"></i>
            </span>
          </div>
        </div>
        <div class="form-group" style="margin-bottom: 0.5rem!important;">
          <label for="txtConfirmarSenha">Confirmar Senha:</label>
          <div class="relative">
            <input type="password" name="txtConfirmarSenha" id="txtConfirmarSenha" class="input-default focus form-control validate" required="required">
            <span class="olho">
              <i class="fas fa-eye olhoAberto"></i>
              <i class="far fa-eye-slash d-none olhoFechado"></i>
            </span>
          </div>
        </div>
      </div>
      <div id="modal-footer" class="modal-footer d-flex justify-content-rigth">
        <button class="btn btn-primary focus" id="btnConfirmarAlteracaoSenha">Confirmar</button>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript" src="<?php echo BASE_URI; ?>/dist/js/datadog-logs-v4.js?versao=3.231.25.1"></script>
<script type="text/javascript" src="config.js?versao=3.231.25.1"></script>
<script async src="https://www.googletagmanager.com/gtag/js?id=G-6WZ0KX6W2J"></script>
<script>
  window.dataLayer = window.dataLayer || [];

  function gtag() {
    dataLayer.push(arguments);
  }
  gtag('js', new Date());
  gtag('config', 'G-6WZ0KX6W2J');
</script>
<script>
  ipInterno = '<?php echo IP_INTERNO; ?>';
  ipExterno = '<?php echo IP_EXTERNO; ?>';
  basicAuth = '<?php echo BASIC_AUTH; ?>';

  const enviarLogs = '<?php if (defined('ENVIAR_LOGS')) {
                        echo ENVIAR_LOGS;
                      } else {
                        echo 1;
                      } ?>';

  if (enviarLogs == '1') {
    window.DD_LOGS &&
      DD_LOGS.init({
        clientToken: 'pub22c993c7a1e62229227b490bbdc2613f',
        forwardErrorsToLogs: true,
        sampleRate: 100,
        beforeSend: (log) => {
          if (log.http && log.http.status_code === 0) {
            return false;
          }
          log.usuario = {
            usuario: getCookie('usuario') ?? '',
            empresa: sessionStorage.getItem('g_nome_empresa_logada') ?? '',
            ipExterno: '<?php echo IP_EXTERNO; ?>',
            versao: VERSAO,
          }
        },
      })
  }
</script>
<script type="text/javascript" src="<?php echo BASE_URI; ?>/plugins/jquery/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo BASE_URI; ?>/plugins/select2/js/select2.full.min.js?versao=3.231.25.1"></script>
<script type="text/javascript" src="<?php echo BASE_URI; ?>/plugins/toastr/toastr.min.js?versao=3.231.25.1"></script>
<script type="text/javascript" src="<?php echo BASE_URI; ?>/dist/js/notificacoes.js?versao=3.231.25.1"></script>
<script>
  var tabelaSearch = document.getElementById("tableMenu");

  $(document).ready(async function() {
    var i = 0;
    document.addEventListener('keydown', (event) => {
      const keyName = event.key;
      if (keyName === 'F12') {
        $('#myInput').removeClass('d-none');
        $('#searchEsconde').addClass('d-none');
        if ($('body').hasClass('sidebar-collapse')) {
          $('body').removeClass('sidebar-collapse');
        }
        i = 0;
        event.preventDefault();
        $('#myInput').focus();
        $('#myInput').trigger('click');
      }
      if (keyName === 'Escape') {
        $('#tabelaSearch').addClass('d-none');
        $('#tableMenu').css('margin-top', '0%');
        $('#menuGeral').removeClass('d-none');
        $('#myInput').val('');
      }
      if (keyName === 'ArrowDown') {
        if ($('#menuGeral').hasClass('d-none')) {
          event.preventDefault();
          i += 1
          if (i > ($('tr.trMenu:visible').length - 1)) {
            i = $('tr.trMenu:visible').length - 1;
          }
        }
      }
      if (keyName === 'ArrowUp') {
        if ($('#menuGeral').hasClass('d-none')) {
          event.preventDefault();
          i -= 1
          if (i < 0) {
            i = 0;
          }
        }
      }
      if (keyName === 'Enter') {
        if ($('#menuGeral').hasClass('d-none')) {
          event.preventDefault();
          window.location.href = $('tr.trMenu:visible')[i].cells[0].children[0].href;
        }
      }
      for (let cont = 0; cont < $('tr.trMenu:visible').length; cont++) {
        if (cont != i) {
          $(`.trMenu:visible>td>a:eq(${cont}) p`).css('background', 'none');
        }
      }
      $(`.trMenu:visible>td>a:eq(${i}) p`).css('background-color', '#494e54');
      $(`.trMenu:visible>td>a:eq(${i}) p`).css('border-radius', '5%');
    });

    tabelaSearch.addEventListener('mouseover', (event) => {
      for (let cont = 0; cont < $('tr.trMenu:visible').length; cont++) {
        $(`.trMenu:visible>td>a:eq(${cont}) p`).css('background', 'none');
      };
      event.target.style.borderRadius = "5%";
      event.target.style.backgroundColor = "#494e54";
    });

    $('#myInput').click(async function() {
      $('#tableMenu').css('margin-top', '6%')
      $('#tabelaSearch').removeClass('d-none');
      $('#menuGeral').addClass('d-none');
    });

    $('#myInput').blur(async function() {
      setTimeout(function() {
        $('#tabelaSearch').addClass('d-none');
        $('#tableMenu').css('margin-top', '0%');
      }, 200);
      setTimeout(function() {
        $('#menuGeral').removeClass('d-none');
      }, 200);
      $('#myInput').val('');
    });

    $("#myInput").on("keyup", function() {
      if ($('#tabelaSearch').hasClass('d-none') && $("#myInput").val() != '') {
        $('#tableMenu').css('margin-top', '6%')
        $('#tabelaSearch').removeClass('d-none');
        $('#menuGeral').addClass('d-none');
      }
      var value = $(this).val().toLowerCase();
      $("#tabelaSearch tr").filter(function() {
        $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
      });
    });

    $('.navbar-nav').on('click', async function() {
      if ($('body').hasClass('sidebar-collapse')) {
        $('#myInput').removeClass('d-none');
        $('#searchEsconde').addClass('d-none');
      } else {
        $('#searchEsconde').removeClass('d-none');
        $('#myInput').addClass('d-none');
      }
    });

    $(".sidebar")
      .on("mouseenter", function() {
        if ($('body').hasClass('sidebar-collapse')) {
          $('#myInput').removeClass('d-none');
          $('#searchEsconde').addClass('d-none');
        }
      })
      .on("mouseleave", function() {
        if ($('body').hasClass('sidebar-collapse')) {
          $('#myInput').addClass('d-none');
          $('#searchEsconde').removeClass('d-none');
        }
      });

    $('.olhoAberto').on('click', async function() {
      await mostrarSenha(this);
    });
    $('.olhoFechado').on('click', async function() {
      await mostrarSenha(this);
    });

    async function buscarAcessos() {
      var _url = `/Sisplan/AcessoMenu/v1/Acesso?`;
      var jsonStr = '';
      try {
        if ((getCookie('acessos_web') == undefined) || (getCookie('acessos_web') == '')) {
          var response = await requisicao('GET', _url, `codusuario=${getCookie('cod_usuario')}`, null);

          if (!response) {
            return;
          }

          jsonStr = await response.json();
          if (response.status != 200) {
            msgErro(jsonStr['RESULT'][0].mensagem);
            return;
          }

          setCookie('acessos_web', JSON.stringify(jsonStr));
        } else {
          jsonStr = JSON.parse(getCookie('acessos_web'));
        }

        for (let index = 0; index < jsonStr.length; index++) {
          const acesso = jsonStr[index];
          switch (acesso.NOME_TELA) {
            case 'ENTIDADE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_entidade').removeClass('d-none');
                $('#search_entidade').removeClass('d-none');
              }
              break;
            }
            case 'LOJA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_loja_principal').removeClass('d-none');
                $('#search_loja_principal').removeClass('d-none');
              }
              break;
            }
            case 'LIBERA_ACESSO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_libera_acesso').removeClass('d-none');
                $('#search_libera_acesso').removeClass('d-none');
              }
              break;
            }
            case 'LIBERA_REGISTRO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_libera_registro').removeClass('d-none');
                $('#search_libera_registro').removeClass('d-none');
              }
              break;
            }
            case 'PERMISSOES_TELA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_permissoes_tela').removeClass('d-none');
                $('#search_permissoes_tela').removeClass('d-none');
              }
              break;
            }
            case 'USUARIO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_usuario').removeClass('d-none');
                $('#search_usuario').removeClass('d-none');
              }
              break;
            }
            case 'PARAMETROS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_parametros').removeClass('d-none');
                $('#search_parametros').removeClass('d-none');
              }
              break;
            }
            case 'IMPRIMIR_NFCE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_imprimir_nfce').removeClass('d-none');
                $('#search_imprimir_nfce').removeClass('d-none');
              }
              break;
            }
            case 'PAGAR': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_contas_a_pagar').removeClass('d-none');
                $('#search_contas_a_pagar').removeClass('d-none');
              }
              break;
            }
            case 'RECEBER': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_contas_a_receber').removeClass('d-none');
                $('#search_contas_a_receber').removeClass('d-none');
              }
              break;
            }
            case 'CHEQUE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cheque').removeClass('d-none');
                $('#search_cheque').removeClass('d-none');
              }
              break;
            }
            case 'RECIBO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_recibo').removeClass('d-none');
                $('#search_recibo').removeClass('d-none');
              }
              break;
            }
            case 'FATURAMENTO_GERAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_faturamento_geral').removeClass('d-none');
                $('#search_faturamento_geral').removeClass('d-none');
              }
              break;
            }
            case 'IMPRESSAO_NFE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_impressao_nfe').removeClass('d-none');
                $('#search_impressao_nfe').removeClass('d-none');
              }
              break;
            }
            case 'CEP': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cep').removeClass('d-none');
                $('#search_cep').removeClass('d-none');
              }
              break;
            }
            case 'MOEDA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_moeda').removeClass('d-none');
                $('#search_moeda').removeClass('d-none');
              }
              break;
            }
            case 'UNIDADE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_unidade').removeClass('d-none');
                $('#search_unidade').removeClass('d-none');
              }
              break;
            }
            case 'TAMANHO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_tamanho').removeClass('d-none');
                $('#search_tamanho').removeClass('d-none');
              }
              break;
            }
            case 'COR': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cor').removeClass('d-none');
                $('#search_cor').removeClass('d-none');
              }
              break;
            }
            case 'GRUPOPRODUTO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_grupoproduto').removeClass('d-none');
                $('#search_grupoproduto').removeClass('d-none');
              }
              break;
            }
            case 'CSTPIS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cstpis').removeClass('d-none');
                $('#search_cstpis').removeClass('d-none');
              }
              break;
            }
            case 'CSTCOFINS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cstcofins').removeClass('d-none');
                $('#search_cstcofins').removeClass('d-none');
              }
              break;
            }
            case 'ENQUADRA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_enquadra').removeClass('d-none');
                $('#search_enquadra').removeClass('d-none');
              }
              break;
            }
            case 'LINHA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_linha').removeClass('d-none');
                $('#search_linha').removeClass('d-none');
              }
              break;
            }
            case 'MARCA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_marca').removeClass('d-none');
                $('#search_marca').removeClass('d-none');
              }
              break;
            }
            case 'COLECAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_colecao').removeClass('d-none');
                $('#search_colecao').removeClass('d-none');
              }
              break;
            }
            case 'GRUPOCOR': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_grupocor').removeClass('d-none');
                $('#search_grupocor').removeClass('d-none');
              }
              break;
            }
            case 'REGRAFISCAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_base_reduzida').removeClass('d-none');
                $('#search_base_reduzida').removeClass('d-none');
              }
              break;
            }
            case 'OPERACAOFISCAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_operacao_fiscal').removeClass('d-none');
                $('#search_operacao_fiscal').removeClass('d-none');
              }
              break;
            }
            case 'EXPORTAFISCAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_exporta_fiscal').removeClass('d-none');
                $('#search_exporta_fiscal').removeClass('d-none');
              }
              break;
            }
            case 'FAIXATAMANHO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_faixatamanho').removeClass('d-none');
                $('#search_faixatamanho').removeClass('d-none');
              }
              break;
            }
            case 'TABELAPRECO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_preco').removeClass('d-none');
                $('#search_preco').removeClass('d-none');
              }
              break;
            }
            case 'PRECO_LOJA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_venda_preco').removeClass('d-none');
                $('#search_venda_preco').removeClass('d-none');
              }
              break;
            }
            case 'LOJA_CAIXA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_venda_caixa').removeClass('d-none');
                $('#search_venda_caixa').removeClass('d-none');
              }
              break;
            }
            case 'PRODUTO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_produto').removeClass('d-none');
                $('#search_produto').removeClass('d-none');
              }
              break;
            }
            case 'TRANSPORTADORA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_transportadora').removeClass('d-none');
                $('#search_transportadora').removeClass('d-none');
              }
              break;
            }
            case 'REPRESENTANTE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_representante').removeClass('d-none');
                $('#search_representante').removeClass('d-none');
              }
              break;
            }
            case 'SPED': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_sped').removeClass('d-none');
                $('#search_sped').removeClass('d-none');
              }
              break;
            }
            case 'CLAFISCAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_clafiscal').removeClass('d-none');
                $('#search_clafiscal').removeClass('d-none');
              }
              break;
            }
            case 'CLATRIB': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_clatrib').removeClass('d-none');
                $('#search_clatrib').removeClass('d-none');
              }
              break;
            }
            case 'CSOSN': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_csosn').removeClass('d-none');
                $('#search_csosn').removeClass('d-none');
              }
              break;
            }
            case 'CSTIPI': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cstipi').removeClass('d-none');
                $('#search_cstipi').removeClass('d-none');
              }
              break;
            }
            case 'DEPOSITO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_deposito').removeClass('d-none');
                $('#search_deposito').removeClass('d-none');
              }
              break;
            }
            case 'ETIQUETA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_etiqueta').removeClass('d-none');
                $('#search_etiqueta').removeClass('d-none');
              }
              break;
            }
            case 'NATUREZA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_natureza').removeClass('d-none');
                $('#search_natureza').removeClass('d-none');
              }
              break;
            }
            case 'REGRA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_regra').removeClass('d-none');
                $('#search_regra').removeClass('d-none');
              }
              break;
            }
            case 'SITUACAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_situacao').removeClass('d-none');
                $('#search_situacao').removeClass('d-none');
              }
              break;
            }
            case 'PROD_ENTRADA_MANUAL': {
              if (acesso.CONSULTA == 'S') {
                $('#prod_entrada_manual').removeClass('d-none');
                $('#search_prod_entrada_manual').removeClass('d-none');
              }
              break;
            }
            case 'PROD_SAIDA_MANUAL': {
              if (acesso.CONSULTA == 'S') {
                $('#prod_saida_manual').removeClass('d-none');
                $('#search_prod_saida_manual').removeClass('d-none');
              }
              break;
            }
            case 'ENTRADA_NF': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_entrada_nf').removeClass('d-none');
                $('#search_entrada_nf').removeClass('d-none');
              }
              break;
            }
            case 'SOLICITACAO_COMPRA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_solicitacao_compra').removeClass('d-none');
                $('#search_solicitacao_compra').removeClass('d-none');
              }
              break;
            }
            case 'ORDEM_COMPRA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_ordem_compra').removeClass('d-none');
                $('#search_ordem_compra').removeClass('d-none');
              }
              break;
            }
            case 'LIBERACAO_ORDEM_COMPRA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_liberacao_oc').removeClass('d-none');
                $('#search_liberacao_oc').removeClass('d-none');
              }
              break;
            }
            case 'REGIAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_regiao').removeClass('d-none');
                $('#search_regiao').removeClass('d-none');
              }
              break;
            }
            case 'CFE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cfe').removeClass('d-none');
                $('#search_cfe').removeClass('d-none');
              }
              break;
            }
            case 'CFE_COMPLEMENTAR': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cfe_complementar').removeClass('d-none');
                $('#search_cfe_complementar').removeClass('d-none');
              }
              break;
            }
            case 'MAQUINACARTAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_maquinacartao').removeClass('d-none');
                $('#search_maquinacartao').removeClass('d-none');
              }
              break;
            }
            case 'RELESTOQUE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_estoque').removeClass('d-none');
                $('#search_relatorioEstoque').removeClass('d-none');
              }
              break;
            }
            case 'RELVENDA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_venda').removeClass('d-none');
                $('#search_relatorioVenda').removeClass('d-none');
              }
              break;
            }
            case 'RELFATURAMENTO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relfaturamento').removeClass('d-none');
                $('#search_relfaturamento').removeClass('d-none');
              }
              break;
            }
            case 'RELCLIENTE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_cliente').removeClass('d-none');
                $('#search_relatorioCliente').removeClass('d-none');
              }
              break;
            }
            case 'RELRECEBER': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_receber').removeClass('d-none');
                $('#search_relatorioReceber').removeClass('d-none');
              }
              break;
            }
            case 'RELTITULOS_RECEBIDOS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_titulosrecebidos').removeClass('d-none');
                $('#search_relatorioTitulosRecebidos').removeClass('d-none');
              }
              break;
            }
            case 'REGRA_PROMOCAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_regra_promocao').removeClass('d-none');
                $('#search_regra_promocao').removeClass('d-none');
              }
              break;
            }
            case 'PRECOCORTAM': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_precocortam').removeClass('d-none');
                $('#search_precoCorTam').removeClass('d-none');
              }
              break;
            }
            case 'CADCAIXA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadcaixa').removeClass('d-none');
                $('#search_cadcaixa').removeClass('d-none');
              }
              break;
            }
            case 'VENDEDORCAIXA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_vendedorcaixa').removeClass('d-none');
                $('#search_vendedorcaixa').removeClass('d-none');
              }
              break;
            }
            case 'SITUACAODUPLICATA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_situacaoduplicata').removeClass('d-none');
                $('#search_situacaoDuplicata').removeClass('d-none');
              }
              break;
            }
            case 'CONDICAOPAGAMENTO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_condicaopagamento').removeClass('d-none');
                $('#search_condicaopagamento').removeClass('d-none');
              }
              break;
            }
            case 'CADCONTA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadconta').removeClass('d-none');
                $('#search_cadconta').removeClass('d-none');
              }
              break;
            }
            case 'CLASSEGERENCIAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_classegerencial').removeClass('d-none');
                $('#search_classegerencial').removeClass('d-none');
              }
              break;
            }
            case 'CONSULTALOG': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_consultalog').removeClass('d-none');
                $('#search_consultalog').removeClass('d-none');
              }
              break;
            }
            case 'CADBANCO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadbanco').removeClass('d-none');
                $('#search_cadbanco').removeClass('d-none');
              }
              break;
            }
            case 'MATERIAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_material').removeClass('d-none');
                $('#search_material').removeClass('d-none');
              }
              break;
            }
            case 'SUBGRUPOMATERIAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_subgrupomaterial').removeClass('d-none');
                $('#search_subgrupomaterial').removeClass('d-none');
              }
              break;
            }
            case 'GRUPOMATERIAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_grupomaterial').removeClass('d-none');
                $('#search_grupomaterial').removeClass('d-none');
              }
              break;
            }
            case 'INVENTARIO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_gerainventario').removeClass('d-none');
                $('#search_gerainventario').removeClass('d-none');
              }
              break;
            }
            case 'IMPORTACAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_importacao').removeClass('d-none');
                $('#search_importacao').removeClass('d-none');
              }
              break;
            }
            case 'EMPRESA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_empresa').removeClass('d-none');
                $('#search_empresa').removeClass('d-none');
              }
              break;
            }
            case 'CADPRAZO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadprazo').removeClass('d-none');
                $('#search_cadprazo').removeClass('d-none');
              }
              break;
            }
            case 'CADPARTE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadparte').removeClass('d-none');
                $('#search_cadparte').removeClass('d-none');
              }
              break;
            }
            case 'CADSETOR': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadsetor').removeClass('d-none');
                $('#search_cadsetor').removeClass('d-none');
              }
              break;
            }
            case 'MAT_ENTRADA_MANUAL': {
              if (acesso.CONSULTA == 'S') {
                $('#mat_entrada_manual').removeClass('d-none');
                $('#search_mat_entrada_manual').removeClass('d-none');
              }
              break;
            }
            case 'MAT_SAIDA_MANUAL': {
              if (acesso.CONSULTA == 'S') {
                $('#mat_saida_manual').removeClass('d-none');
                $('#search_mat_saida_manual').removeClass('d-none');
              }
              break;
            }
            case 'INVENTARIOMAT': {
              if (acesso.CONSULTA == 'S') {
                $('#inventarioMat').removeClass('d-none');
                $('#search_inventarioMat').removeClass('d-none');
              }
              break;
            }
            case 'RELMOVIMENTACAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_movEstoque').removeClass('d-none');
                $('#search_relMovEstoque').removeClass('d-none');
              }
              break;
            }
            case 'UF': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_uf').removeClass('d-none');
                $('#search_menuUf').removeClass('d-none');
              }
              break;
            }
            case 'ORDEMPRODUCAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_ordem_producao').removeClass('d-none');
                $('#search_menuOrdemProducao').removeClass('d-none');
              }
              break;
            }
            case 'OPERADORATEF': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_operadoratef').removeClass('d-none');
                $('#search_operadoratef').removeClass('d-none');
              }
              break;
            }
            case 'CONFERENCIAINV': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_conferenciainv').removeClass('d-none');
                $('#search_conferenciainv').removeClass('d-none');
              }
              break;
            }
            case 'CONFIG_WHATSAPP': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_config_whatsapp').removeClass('d-none');
                $('#search_config_whatsapp').removeClass('d-none');
              }
              break;
            }
            case 'CADPADRAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadpadrao').removeClass('d-none');
                $('#search_cadpadrao').removeClass('d-none');
              }
              break;
            }
            case 'MANUTENCAOINVENTARIO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_manutencaoinv').removeClass('d-none');
                $('#search_manutencaoinv').removeClass('d-none');
              }
              break;
            }
            case 'LIBERA_DASHBOARD': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_liberar_dash').removeClass('d-none');
                $('#search_acesso_dash').removeClass('d-none');
              }
              break;
            }
            case 'CADASTRO_DASHBOARD': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadastro_dash').removeClass('d-none');
                $('#search_cadastro_dash').removeClass('d-none');
              }
              break;
            }
            case 'TRANSFERENCIA_DEPOSITO': {
              if (acesso.CONSULTA == 'S') {
                $('#transferenciaDeposito').removeClass('d-none');
                $('#search_transferencia_deposito').removeClass('d-none');
              }
              break;
            }
            case 'LOCALIZACAO_ESTOQUE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_localizacao_estoque').removeClass('d-none');
                $('#search_localizacao_estoque').removeClass('d-none');
              }
              break;
            }
            case 'CONFIMPRESSAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_confimpressao').removeClass('d-none');
                $('#search_confimpressao').removeClass('d-none');
              }
              break;
            }
            case 'NOTA_COMPLEMENTAR': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_nota_complementar').removeClass('d-none');
                $('#search_nota_complementar').removeClass('d-none');
              }
              break;
            }
            case 'RELRANKINGLOJA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_ranking').removeClass('d-none');
                $('#search_relRankingLoja').removeClass('d-none');
              }
              break;
            }
            case 'RELMETAVENDAS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_meta').removeClass('d-none');
                $('#search_relatorioMeta').removeClass('d-none');
              }
              break;
            }
            case 'RELMOEDA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_moeda').removeClass('d-none');
                $('#search_reatorioMoeda').removeClass('d-none');
              }
              break;
            }
            case 'AGRUPAMENTO_VENDA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_agrupamento').removeClass('d-none');
                $('#search_agrupamento').removeClass('d-none');
              }
              break;
            }
            case 'CANCELAMENTO_VENDA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cancelamento').removeClass('d-none');
                $('#search_cancelamento').removeClass('d-none');
              }
              break;
            }
            case 'TIPOVENDA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_tipovenda').removeClass('d-none');
                $('#search_tipovenda').removeClass('d-none');
              }
              break;
            }
            // case 'REGRA_VENDA': {
            //   if (acesso.CONSULTA == 'S') {
            //     $('#menu_regravenda').removeClass('d-none');
            //     $('#search_regravenda').removeClass('d-none');
            //   }
            //   break;
            // }
            case 'TIPOCONTATO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_tipocontato').removeClass('d-none');
                $('#search_tipocontato').removeClass('d-none');
              }
              break;
            }
            case 'CADCUPOMDESCONTO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cupomdesconto').removeClass('d-none');
                $('#search_cupomdesconto').removeClass('d-none');
              }
              break;
            }
            case 'CONTAGEM_CAIXA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_contagem_caixa').removeClass('d-none');
                $('#search_contagem_caixa').removeClass('d-none');
              }
              break;
            }
            case 'EXPEDICAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_expedicao_item').removeClass('d-none');
                $('#search_expedicao').removeClass('d-none');
              }
              break;
            }
            case 'EMBARQUE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_controle_embarque').removeClass('d-none');
                $('#search_controle_embarque').removeClass('d-none');
              }
              break;
            }
            case 'LIBERACAO_EXPEDICAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_liberacao_expedicao').removeClass('d-none');
                $('#search_liberacao_expedicao').removeClass('d-none');
              }
              break;
            }
            case 'PEDIDO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_pedido').removeClass('d-none');
                $('#search_pedido').removeClass('d-none');
              }
              break;
            }
            case 'LIBERACAO_COMERCIAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_liberacao_comercial').removeClass('d-none');
                $('#search_liberacao_comercial').removeClass('d-none');
              }
              break;
            }
            case 'LIBERACAO_FINANCEIRO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_liberacao_financeiro').removeClass('d-none');
                $('#search_liberacao_financeiro').removeClass('d-none');
              }
              break;
            }
            case 'GRUPOCLIENTE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_grupocliente').removeClass('d-none');
                $('#search_grupocliente').removeClass('d-none');
              }
              break;
            }
            case 'CADHISTORICO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_cadastrohistorico').removeClass('d-none');
                $('#search_cadastrohistorico').removeClass('d-none');
              }
              break;
            }
            case 'METAS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_metas').removeClass('d-none');
                $('#search_metas').removeClass('d-none');
              }
              break;
            }
            case 'RELEMBARQUE': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_embarque').removeClass('d-none');
                $('#search_relatorioEmbarque').removeClass('d-none');
              }
              break;
            }
            case 'TIPOBAIXA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_tipobaixa').removeClass('d-none');
                $('#search_tipobaixa').removeClass('d-none');
              }
              break;
            }
            case 'LOCAL': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_local').removeClass('d-none');
                $('#search_local').removeClass('d-none');
              }
              break;
            }
            case 'RELCOMISSAO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_comissao').removeClass('d-none');
                $('#search_relatorioComissao').removeClass('d-none');
              }
              break;
            }
            case 'RELANIVERSARIO': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_aniversario').removeClass('d-none');
                $('#search_relatorioAniversario').removeClass('d-none');
              }
              break;
            }
            case 'RELTAG': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_tag').removeClass('d-none');
                $('#search_relatorioTag').removeClass('d-none');
              }
              break;
            }
            case 'TRANSFERENCIA_DEPOSITO_MAT': {
              if (acesso.CONSULTA == 'S') {
                $('#transferenciaDepositoMat').removeClass('d-none');
                $('#search_transferencia_deposito_mat').removeClass('d-none');
              }
              break;
            }
            case 'TAG': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_tag').removeClass('d-none');
                $('#search_tag').removeClass('d-none');
              }
              break;
            }
            case 'RELPEDIDOS': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_pedidos').removeClass('d-none');
                $('#search_relatorioPedidos').removeClass('d-none');
              }
              break;
            }
            case 'RELCAIXA': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_caixa').removeClass('d-none');
                $('#search_relatoriocaixa').removeClass('d-none');
              }
              break;
            }
            case 'RELTABPRECOSPROD': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_tabprecosprod').removeClass('d-none');
                $('#search_reltabprecosprod').removeClass('d-none');
              }
              break;
            }
            case 'RELESTOQUEMAT': {
              if (acesso.CONSULTA == 'S') {
                $('#menu_relatorio_estoquemat').removeClass('d-none');
                $('#search_relatorioestoquemat').removeClass('d-none');
              }
              break;
            }

            default:
              break;
          }

        };

        if (getCookie('cod_usuario') == '0000') {
          $('#menu_libera_acesso').removeClass('d-none');
        }

        //remove os menus pais quando nenhum está ativo...

        if (($('#menu_entidade').hasClass('d-none')) && ($('#menu_transportadora').hasClass('d-none')) && ($(
            '#menu_representante').hasClass('d-none'))) {

          $('#menu_entidadegeral').addClass('d-none');
        } else {
          $('#menu_entidadegeral').removeClass('d-none');
        }

        if (($('#menu_expedicao_item').hasClass('d-none')) && ($('#menu_liberacao_expedicao').hasClass('d-none')) && ($('#menu_controle_embarque').hasClass('d-none'))) {
          $('#menu_expedicao').addClass('d-none');
        } else {
          $('#menu_expedicao').removeClass('d-none');
        }

        if (($('#menu_pedido').hasClass('d-none')) && ($('#menu_liberacao_comercial').hasClass('d-none')) && ($('#menu_liberacao_financeiro').hasClass('d-none'))) {
          $('#menu_vendas').addClass('d-none');
        } else {
          $('#menu_vendas').removeClass('d-none');
        }

        if (($('#menu_natureza').hasClass('d-none')) && ($('#menu_cstpis').hasClass('d-none')) && ($(
            '#menu_cstcofins').hasClass('d-none')) && ($('#menu_enquadra').hasClass('d-none')) && ($(
            '#menu_sped').hasClass('d-none')) && ($('#menu_clafiscal').hasClass('d-none')) && ($(
            '#menu_clatrib').hasClass('d-none')) && ($('#menu_csosn').hasClass('d-none')) && ($(
            '#menu_cstipi').hasClass('d-none'))) {

          $('#menu_fiscalgeral').addClass('d-none');
        } else {
          $('#menu_fiscalgeral').removeClass('d-none');
        }

        if (($('#prod_saida_manual').hasClass('d-none')) &&
          ($('#prod_entrada_manual').hasClass('d-none')) &&
          ($('#menu_gerainventario').hasClass('d-none')) &&
          ($('#transferenciaDeposito').hasClass('d-none')) &&
          ($('#menu_localizacao_estoque').hasClass('d-none'))) {

          $('#menu_movimentacoesproduto').addClass('d-none');
        } else {
          $('#menu_movimentacoesproduto').removeClass('d-none');
        }

        if (($('#mat_saida_manual').hasClass('d-none')) &&
          ($('#mat_entrada_manual').hasClass('d-none')) &&
          ($('#inventarioMat').hasClass('d-none'))
        ) {
          $('#menu_movimentacoesmaterial').addClass('d-none');
        } else {
          $('#menu_movimentacoesmaterial').removeClass('d-none');
        }

        if (($('#menu_produto').hasClass('d-none')) && ($('#menu_unidade').hasClass('d-none')) && ($(
            '#menu_tamanho').hasClass('d-none')) && ($('#menu_cor').hasClass('d-none')) && ($(
            '#menu_grupoproduto').hasClass('d-none')) && ($('#menu_linha').hasClass('d-none')) && ($(
            '#menu_marca').hasClass('d-none')) && ($('#menu_colecao').hasClass('d-none')) && ($(
            '#menu_grupocor').hasClass('d-none')) && ($('#menu_faixatamanho').hasClass('d-none')) && ($(
            '#menu_etiqueta').hasClass('d-none')) && ($('#menu_situacao').hasClass('d-none'))) {

          $('#menu_produtogeral').addClass('d-none');
        } else {
          $('#menu_produtogeral').removeClass('d-none');
        }

        if (($('#menu_material').hasClass('d-none')) && ($('#menu_subgrupomaterial').hasClass('d-none')) && ($('#menu_grupomaterial').hasClass('d-none'))) {
          $('#menu_materialgeral').addClass('d-none');
        } else {
          $('#menu_materialgeral').removeClass('d-none');
        }

        if (($('#menu_moeda').hasClass('d-none')) && ($('#menu_preco').hasClass('d-none')) && ($('#menu_precocortam').hasClass('d-none')) && ($('#menu_situacaoduplicata').hasClass('d-none')) && ($(
            '#menu_regiao').hasClass('d-none')) && ($('#menu_deposito').hasClass('d-none')) && ($('#menu_cadconta').hasClass('d-none')) && ($('#menu_cadprazo').hasClass('d-none')) && ($(
            '#menu_regra').hasClass('d-none')) && ($('#menu_cep').hasClass('d-none')) && ($('#menu_cadparte').hasClass('d-none')) && ($('#menu_cadsetor').hasClass('d-none')) && ($(
            // '#menu_regra_promocao').hasClass('d-none')) && ($('#menu_confimpressao').hasClass('d-none')) && ($('#menu_tipovenda').hasClass('d-none')) && ($('#menu_regravenda').hasClass('d-none')) && ($(
            '#menu_tipocontato').hasClass('d-none')) && ($('#menu_grupocliente').hasClass('d-none')) && ($('#menu_tipobaixa').hasClass('d-none')) && ($('#menu_local').hasClass('d-none'))) {

          $('#menu_geral').addClass('d-none');
        } else {
          $('#menu_geral').removeClass('d-none');
        }

        if ($('#menu_movimentacoesproduto').hasClass('d-none') && $('#menu_movimentacoesmaterial').hasClass('d-none') && $('#menu_importacao').hasClass('d-none')) {
          $('#menu_movimentacoes').addClass('d-none');
        } else {
          $('#menu_movimentacoes').removeClass('d-none');
        }

        if (($('#menu_entidadegeral').hasClass('d-none')) && ($('#menu_fiscalgeral').hasClass('d-none')) && ($('#menu_produtogeral').hasClass('d-none')) &&
          ($('#menu_geral').hasClass('d-none')) && ($('#menu_materialgeral').hasClass('d-none'))) {
          $('#menu_cadastros').addClass('d-none');
        } else {
          $('#menu_cadastros').removeClass('d-none');
        }

        if ($('#menu_entrada_nf').hasClass('d-none') && $('#menu_solicitacao_compra').hasClass('d-none') && $('#menu_ordem_compra').hasClass('d-none') &&
          $('#menu_liberacao_oc').hasClass('d-none')) {
          $('#menu_compras').addClass('d-none');
        } else {
          $('#menu_compras').removeClass('d-none');
        }

        if ($('#menu_ordem_producao').hasClass('d-none')) {
          $('#menu_producao').addClass('d-none');
        } else {
          $('#menu_producao').removeClass('d-none');
        }

        if ($('#menu_usuario').hasClass('d-none') && ($('#menu_cadpadrao').hasClass('d-none')) && ($('#menu_libera_registro').hasClass('d-none')) &&
          ($('#menu_libera_acesso').hasClass('d-none')) && ($('#menu_permissoes_tela').hasClass('d-none')) && ($('#menu_consultalog').hasClass('d-none')) &&
          ($('#menu_empresa').hasClass('d-none')) && ($('#menu_manutencaoinv').hasClass('d-none')) && ($('#menu_conferenciainv').hasClass('d-none')) &&
          ($('#menu_config_whatsapp').hasClass('d-none'))) {
          $('#menu_sistema').addClass('d-none');
        } else {
          $('#menu_sistema').removeClass('d-none');
        }

        if (($('#menu_contas_a_pagar').hasClass('d-none')) && ($('#menu_contas_a_receber').hasClass('d-none')) && ($('#menu_recibo').hasClass('d-none')) &&
          ($('#menu_cheque').hasClass('d-none'))) {
          $('#menu_financeiro').addClass('d-none');
        } else {
          $('#menu_financeiro').removeClass('d-none');
        }

        if (($('#menu_faturamento_geral').hasClass('d-none')) && ($('#menu_impressao_nfe').hasClass('d-none')) && ($('#menu_nota_complementar').hasClass('d-none')) &&
          ($('#menu_base_reduzida').hasClass('d-none')) && ($('#menu_operacao_fiscal').hasClass('d-none')) && ($('#menu_exporta_fiscal').hasClass('d-none'))) {
          $('#menu_faturamento').addClass('d-none');
        } else {
          $('#menu_faturamento').removeClass('d-none');
        }

        if (($('#menu_loja_principal').hasClass('d-none')) && ($('#menu_imprimir_nfce').hasClass('d-none')) && ($('#menu_venda_caixa').hasClass('d-none')) &&
          ($('#menu_venda_preco').hasClass('d-none')) && ($('#menu_cfe').hasClass('d-none')) && ($('#menu_cfe_complementar').hasClass('d-none')) &&
          ($('#menu_agrupamento').hasClass('d-none')) && ($('#menu_cancelamento').hasClass('d-none')) && ($('#menu_cupomdesconto').hasClass('d-none')) &&
          ($('#menu_contagem_caixa').hasClass('d-none'))) {
          $('#menu_loja').addClass('d-none');
        } else {
          $('#menu_loja').removeClass('d-none');
        }

        if (($('#menu_relatorio_estoque').hasClass('d-none')) && ($('#menu_relatorio_venda').hasClass('d-none')) && ($('#menu_relatorio_cliente').hasClass('d-none')) &&
          ($('#menu_relatorio_receber').hasClass('d-none')) && ($('#menu_relatorio_titulosrecebidos').hasClass('d-none')) && ($('#menu_relatorio_moeda').hasClass('d-none')) &&
          ($('#menu_relatorio_movEstoque').hasClass('d-none')) && ($('#menu_operadoratef').hasClass('d-none')) && ($('#menu_relatorio_meta').hasClass('d-none')) &&
          ($('#menu_relatorio_ranking').hasClass('d-none')) && ($('#menu_relfaturamento').hasClass('d-none')) && ($('#menu_relatorio_embarque').hasClass('d-none')) &&
          ($('#menu_relatorio_comissao').hasClass('d-none')) && ($('#menu_relatorio_aniversario').hasClass('d-none')) && ($('#menu_relatorio_tag').hasClass('d-none')) &&
          ($('#menu_relatorio_pedidos').hasClass('d-none')) && ($('#menu_relatorio_caixa').hasClass('d-none')) && ($('#menu_relatorio_tabprecosprod').hasClass('d-none')) && 
          ($('#menu_relatorio_estoquemat').hasClass('d-none'))) {
          $('#menu_relatorios').addClass('d-none');
        } else {
          $('#menu_relatorios').removeClass('d-none');
        }

        if (($('#menu_liberar_dash').hasClass('d-none')) && ($('#menu_cadastro_dash').hasClass('d-none'))) {
          $('#menu_dashboard').addClass('d-none');
        } else {
          $('#menu_dashboard').removeClass('d-none');
        }

      } catch (error) {
        msgErro('Não foi possível buscar os dados de acesso.');
      }
    };

    $('#btn-senha').on('click', async function() {
      $('#modalAlterarSenha').modal('show');
    });

    $('#txtConfirmarSenha').on('blur', async function() {
      await ValidaSenhaIgual();
      $('#btnConfirmarAlteracaoSenha').trigger('click');
    });

    $('#btnConfirmarAlteracaoSenha').on('click', async function() {
      if (await ValidaSenhaIgual()) {
        await AlterarSenha();
      }
    })

    $('#btn-deslogar').on('click', async function(e) {
      event.preventDefault();
      try {
        $.LoadingOverlay("show");
        await logoutUsuario(getCookie('idMaquina'), getCookie('usuario'));
        $.LoadingOverlay("hide");
      } catch (error) {
        console.error(error);
        $.LoadingOverlay("hide");
      }

      sessionStorage.removeItem('g_usuario_logado');
      sessionStorage.removeItem('g_empresa_logada');
      sessionStorage.removeItem('g_emp_id_empresa_logada');
      sessionStorage.removeItem('g_nome_empresa_logada');
      sessionStorage.removeItem('g_vendedor_logado');
      sessionStorage.removeItem('g_caixa_logado');
      sessionStorage.removeItem('g_deposito_vendedor_caixa');
      sessionStorage.removeItem('g_tabpreco_vendedor_caixa');
      deleteCookie('usuario');
      deleteCookie('emp_id');
      deleteCookie('empresa');
      deleteCookie('cod_usuario');
      deleteCookie('acessos_web');
      deleteCookie('Token@Whatsapp');
      deleteCookie('Session@Whatsapp');

      window.location.href = "<?php echo BASE_URI; ?>/login";
    });

    ipInterno = '<?php echo IP_INTERNO; ?>';
    ipExterno = '<?php echo IP_EXTERNO; ?>';
    basicAuth = '<?php echo BASIC_AUTH; ?>';
    $('#usuarioLogado').text(sessionStorage.getItem('g_usuario_logado').toUpperCase());
    $('#empresaLogada').text(sessionStorage.getItem('g_nome_empresa_logada').substring());
    $("#empresaLogada").attr('title', sessionStorage.getItem('g_nome_empresa_logada').substring());


    await buscarAcessos();

  });
</script>