<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | CF-e Complementar</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.231.25.1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.231.25.1">
  <!-- Google Font: Source Sans Pro -->
  <!-- <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet"> -->
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.231.25.1" />

  <link href='../dist/css/bootstrap.min.css?versao=3.231.25.1'>
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.231.25.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.231.25.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.231.25.1" />
  <!-- AutoComplete -->
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.231.25.1">

  <style>
    .input-group button,
    .input-group input {
      height: 40px;
    }

    .input-group button {
      min-width: 45px;
    }

    .btn.bg-danger {
      border: 1px solid white;
    }

    .info-box-text {
      font-size: 20px;
      font-weight: bold;
      color: grey;
    }

    #cardPrincipal {
      min-height: 400px;
      display: flex;
      justify-content: center;
    }
  </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../menu.php');
    ?>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">CF-e Complementar</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i>
              </button>
            </div><!-- /.col -->
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item active">CF-e Complementar</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->

          <div class="card" id="cardPrincipal">
            <div class="row ml-2 mt-3 mr-2" id="tourbotoes">
              <div class="col-sm-12 mt-12">
                <div class="row">
                  <div class="col-lg-3 col-12">
                    <label data-error="wrong" data-success="right" for="txtIDCfe">ID</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtIDCfe" name="txtIDCfe" class="form-control" placeholder="ID Cf-e">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btn-IDCfe" name="btn-IDCfe" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btn-limpar-IDCfe" name="btn-limpar-IDCfe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-3 col-12">
                    <label data-error="wrong" data-success="right" for="txtCfe">CF-e</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtCfe" name="txtCfe" class="form-control" placeholder="Cf-e" disabled>
                    </div>
                  </div>
                  <div class="col-lg-3 col-12">
                    <label data-error="wrong" data-success="right" for="txtNumSerie">Núm. Serie</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtNumSerie" name="txtNumSerie" class="form-control" placeholder="Núm. Serie" disabled>
                    </div>
                  </div>
                  <div class="col-lg-3 col-12">
                    <label data-error="wrong" data-success="right" for="txtVenda">Venda</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtVenda" name="txtVenda" class="form-control" placeholder="Venda" disabled>
                      <input type="hidden" class="input-default focus form-control" id="txtCaixa" name="txtCaixa" class="form-control" placeholder="Caixa" disabled>
                      <input type="hidden" class="input-default focus form-control" id="txtCodCli" name="txtCodCli" class="form-control" placeholder="CodCli" disabled>
                      <input type="hidden" class="input-default focus form-control" id="txtNatureza" name="txtNatureza" class="form-control" placeholder="Natureza" disabled>
                      <input type="hidden" class="input-default focus form-control" id="txtCNPJ" name="txtCNPJ" class="form-control" placeholder="Natureza" disabled>
                      <input type="hidden" class="input-default focus form-control" id="txtChaveCfe" name="txtChaveCfe" class="form-control" placeholder="Natureza" disabled>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <div class="card-body" id="caixatour">
              <div class="card">
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <h5><b>Itens</b></h5>
                    </div>
                  </div>
                  <div class="row pt-2">
                    <div class="col-sm-12 table-responsive">
                      <table id="tabelaItens" class="table table-responsive-sm table-select table-hover" width="100%">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>

                  <div class="float-right mt-2">
                    <input id="btnGravar" type="submit" style="font-size:15px;" class="btn btn-danger btn-lg action-button  btn-sisp mt-2" value="Gravar">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <button id="btnConsultar" class='btn btn-primary btn-sisp d-none' type='button'><span class="fas fa-search"></span>Consultar </button>

  <?php
  include_once('../../footer.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js?versao=3.231.25.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.231.25.1"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.231.25.1"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    if ($('[type="date"]').prop('type') != 'date') {
      $('[type="date"]').datepicker();
    }
    $.widget.bridge('uibutton', $.ui.button)
  </script>

  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.25.1"></script>
  <script src="dist/js/sisplan.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="utils/funcoes.js?versao=3.231.25.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="dist/js/loadingoverlay.min.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.231.25.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.231.25.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.231.25.1"></script>
  <script src="utils/cookies.js?versao=3.231.25.1"></script>
  <!-- SweetAlert2 -->
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.231.25.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.231.25.1"></script>
  <script src="dist/js/driver.min.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="config.js?versao=3.231.25.1"></script>
  <script>
    $(document).ready(async function() {

      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CFE_COMPLEMENTAR');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/cfe/cfe_complementar.js?versao=3.231.25.1`;
      insereJavaScriptPagina(sArquivo);
    });
  </script>

</body>

</html>