<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Tipo de Baixa</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.227.14.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.227.14.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.227.14.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.227.14.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.227.14.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.227.14.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.227.14.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.227.14.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.227.14.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.227.14.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.227.14.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.227.14.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .radiosStyle {
      font-size: 120%;
      margin-top: 1%;
      margin-bottom: 1%;
    }

    .checkTipo {
      font-size: 120%;
      margin-top: 14px;
    }

    .checkTop {
      margin-left: 2%;
      margin-top: 2%;
    }

    .checkStyle {
      margin-top: 2%;
      padding: 1%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="../index">Início</a></li>
                  <li class="breadcrumb-item"><a href="../tipobaixa">Acesso Tipo de Baixa</a></li>
                  <li class="breadcrumb-item active">Cadastro de Tipo de Baixa</li>
                </ol>
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro de Tipo de Baixa
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <!-- <p>Preencha os dados e clique em gravar para realizar o cadastro do tipo de baixa</p> -->

                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <div class="form-card" style="min-height: 430px;">
                        <div class="row d-flex justify-content-center">
                          <div class="card col-10" id="campostuto">
                            <div class="card-body">
                              <div class="col-2" style="padding-left: 0px;">
                                <label class="labelCheck" for="cbAtivo"><input type="checkbox" class="configCheck" id="cbAtivo">  Ativo </label>
                              </div>
                              <div class="row d-flex justify-content-center">
                                <div class="col-3 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código *</label>
                                  <div class="input-group">
                                    <input type="text" readonly disabled class="input-default focus form-control validate" id="txtCodigo" name="txtCodigo" placeholder="Preenchido automaticamente">
                                  </div>
                                </div>
                                <div class="col-9  form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição *</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtDescricao" name="txtDescricao" placeholder="Descrição">
                                  </div>
                                </div>
                                <div class="col-6  form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtDepositoOrig">Depósito Orig.</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtDepositoOrig" name="txtDepositoOrig" placeholder="Depósito Orig.">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger" id="btnDepositoOrig" name="btnDepositoOrig" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                      <button class="btn bg-danger" id="btnLimpaDepositoOrig" name="btnLimpaDepositoOrig" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-6  form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtDepositoDest">Depósito Dest.</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtDepositoDest" name="txtDepositoDest" placeholder="Depósito Dest.">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger" id="btnDepositoDest" name="btnDepositoDest" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                      <button class="btn bg-danger" id="btnLimpaDepositoDest" name="btnLimpaDepositoDest" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="checkTipo col-sm-12">
                                    <div class="col-sm-12">
                                      <b>
                                        <p style="margin-bottom:5px;">Tipo</p>
                                      </b>
                                      <div class="checkStyle checkTop">
                                        <div class="row">
                                          <div class="col-6 listaChecks">
                                            <label class="labelCheck col-12" for="cbEntradaManual"><input type="checkbox" class="configCheck" id="cbEntradaManual">  Entrada Manual </label>
                                            <label class="labelCheck col-12" for="cbEntradaNota"><input type="checkbox" class="configCheck" id="cbEntradaNota">  Entrada Nota Fiscal </label>
                                            <label class="labelCheck col-12" for="cbEntradaNotaCancelada"><input type="checkbox" class="configCheck" id="cbEntradaNotaCancelada">  Entrada Canc. Nota Fiscal </label>
                                            <label class="labelCheck col-12" for="cbEntradaDevolucao"><input type="checkbox" class="configCheck" id="cbEntradaDevolucao">  Entrada Devolução </label>
                                            <label class="labelCheck col-12" for="cbEntradaTerceirizacao"><input type="checkbox" class="configCheck" id="cbEntradaTerceirizacao">  Entrada Terceiricação </label>
                                            <label class="labelCheck col-12" for="cbEntradaBaixaOF"><input type="checkbox" class="configCheck" id="cbEntradaBaixaOF">  Entrada Baixa OF </label>
                                            <label class="labelCheck col-12" for="cbEntradaBeneficiamento"><input type="checkbox" class="configCheck" id="cbEntradaBeneficiamento">  Entrada Beneficiamento </label>
                                            <label class="labelCheck col-12" for="cbEntradaTecelagem"><input type="checkbox" class="configCheck" id="cbEntradaTecelagem">  Entrada Tecelagem </label>
                                            <label class="labelCheck col-12" for="cbEntradaTranferenciaDeposito"><input type="checkbox" class="configCheck" id="cbEntradaTranferenciaDeposito">  Entrada Transf. Depósito </label>
                                            <label class="labelCheck col-12" for="cbEntradaLoja"><input type="checkbox" class="configCheck" id="cbEntradaLoja">  Entrada Loja </label>
                                          </div>
                                          <div class="col-6 border-left listaChecks">
                                            <label class="labelCheck col-12" for="cbSaidaManual"><input type="checkbox" class="configCheck" id="cbSaidaManual">  Saída Manual </label>
                                            <label class="labelCheck col-12" for="cbSaidaNota"><input type="checkbox" class="configCheck" id="cbSaidaNota">  Saída Nota Fiscal (Faturamento) </label>
                                            <label class="labelCheck col-12" for="cbSaidaNotaCancelada"><input type="checkbox" class="configCheck" id="cbSaidaNotaCancelada">  Saída Canc. Nota Fiscal </label>
                                            <label class="labelCheck col-12" for="cbSaidaDevolucao"><input type="checkbox" class="configCheck" id="cbSaidaDevolucao">  Saída Devolução </label>
                                            <label class="labelCheck col-12" for="cbSaidaExpedicao"><input type="checkbox" class="configCheck" id="cbSaidaExpedicao">  Saída Expedição</label>
                                            <label class="labelCheck col-12" for="cbSaidaBaixaOF"><input type="checkbox" class="configCheck" id="cbSaidaBaixaOF">  Saída Baixa OF </label>
                                            <label class="labelCheck col-12" for="cbSaidaBeneficiamento"><input type="checkbox" class="configCheck" id="cbSaidaBeneficiamento">  Saída Beneficiamento </label>
                                            <label class="labelCheck col-12" for="cbSaidaTecelagem"><input type="checkbox" class="configCheck" id="cbSaidaTecelagem">  Saída Tecelagem </label>
                                            <label class="labelCheck col-12" for="cbSaidaTranferenciaDeposito"><input type="checkbox" class="configCheck" id="cbSaidaTranferenciaDeposito">  Saída Transf. Depósito </label>
                                            <label class="labelCheck col-12" for="cbSaidaLoja"><input type="checkbox" class="configCheck" id="cbSaidaLoja">  Saída Loja </label>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <button type="button" id="btnGravar" style="font-size:15px;" class="btn-sisp action-button" data-dismiss="modal">Gravar</button>
                              <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <?php
  include_once('../../../footer.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.227.14.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.227.14.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.227.14.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.227.14.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.227.14.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.227.14.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.227.14.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.227.14.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.227.14.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.227.14.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.227.14.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.227.14.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.227.14.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.227.14.1"></script>
  <script src="../utils/funcoes.js?versao=3.227.14.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.227.14.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.227.14.1"></script>
  <script src="../utils/cookies.js?versao=3.227.14.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.227.14.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.227.14.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('TIPOBAIXA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos('TIPOBAIXA');

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/tipobaixa`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/tipobaixa/cadastro_tipobaixa/tipobaixa.js?versao=3.227.14.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>