<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Cupom</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.231.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.231.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.231.25.1" />

  <link href='../dist/css/bootstrap.min.css?versao=3.231.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.231.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.231.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.231.25.1">

  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.231.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.231.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    .labelGeral {
      margin-top: 7px;
      margin-bottom: 3px;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="./index">Início</a></li>
                  <li class="breadcrumb-item"><a href="../cadcupomdesconto">Acesso Cupom</a></li>
                  <li class="breadcrumb-item active">Cadastro de Cupom</li>
                </ol>
              </div>
            </div>
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mb-2">
              <div class="card px-0 pb-0 pt-3 mb-3">
                <h2>
                  <strong>Cadastro de Cupom</strong>
                  <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                    <i class="fas fa-question-circle"></i>
                  </button>
                </h2>
                <p>Preencha os dados e clique em avançar para realizar o cadastro do Cupom</p>
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform" class="mt-0">
                      <ul id="progressbar" class="mb-1">
                        <li class="active" id="account" style="font-size: 100%; width: 100%;"><strong>Geral</strong></li>
                      </ul>
                      <fieldset>
                        <div class="form-card pt-0" id="formcard1">
                          <h2 class="fs-title">Dados Gerais</h2>
                          <div class="row">
                            <div class="col-lg-12 col-12 form-group mb-1">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código *</label>
                              <input type="text" class="input-default focus form-control" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Código">
                            </div>
                            <div class="col-lg-12 col-12 form-group mb-2">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCupom">Descriçao *</label>
                              <input type="text" class="input-default focus form-control" id="txtDescricao" required aria-describedby="descError" name="txtDescricao" class="form-control" placeholder="Descrião">
                            </div>
                            <div class="col-lg-12 col-12 form-group mb-1">
                              <label data-error="wrong" data-success="right" class="mb-1" for="dtInicio">Inicio de/ Até: * </label>
                              <div class="input-group">
                                <input type="date" class="input-default focus form-control" id="dtInicio" name="dtInicio" class="form-control">
                                <input type="date" class="input-default focus form-control" id="dtFim" name="dtFim" class="form-control">
                              </div>
                            </div>
                            <div class="col-lg-6  col-12 form-group mb-1">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtQuantidade">Quantidade *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtQuantidade" name="txtQuantidade" class="form-control" placeholder="Quantidade">
                                <div class="input-group-append">
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtPercDesc">% Desconto *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtPercDesc" required aria-describedby="histError" name="txtPercDesc" class="form-control" placeholder="Porcentagem de desconto">
                                <div class="input-group-append">
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-12 col-12 form-group">
                              <table id="tabela-empAcesso" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Sel</th>
                                    <th>Empresa</th>
                                    <th>Emp. Id</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                          <input type="button" name="btnGravar" class="btn-sisp next action-button" value="Gravar" id="btnGravar" />
                          <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
  </div>

  <?php
  include_once('../../../footer.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.231.25.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.231.25.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.231.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.231.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.231.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.231.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.231.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.231.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.231.25.1"></script>
  <script src="../utils/cookies.js?versao=3.231.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.231.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADCUPOMDESCONTO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("CADCUPOMDESCONTO");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/cadcupomdesconto`
        });
        return;
      }

      const queryString = window.location.href;
      const parametros = queryString.split('/');
      const moeda = parametros[parametros.length - 1];

      $(window).on("beforeunload", function(e) {
        e.preventDefault();
        deletaRegistro('CUPOM', getCookie('usuario'), parametros[5]);
        return undefined;
      });

      sArquivo = `${BASE_URI}/pages/cadcupomdesconto/cadastro_cadcupomdesconto/cadcupomdesconto.js?versao=3.231.25.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>