<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Solicitação Compra</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.231.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.231.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.231.25.1" />
  <link href='dist/css/bootstrap.min.css?versao=3.231.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.231.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.231.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.231.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.231.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.231.25.1">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.231.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    .form-control:disabled,
    .form-control[readonly] {
      background-color: #f7f7f7;
      opacity: 1;
    }

    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 50%;
      float: left;
      position: relative
    }

    fieldset {
      text-align: start;
      position: relative;
    }

    .card {
      box-shadow: none !important;
      border-radius: 0 !important;
      margin-bottom: 0 !important;
    }

    .card-header {
      box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
    }

    .card.card-header {
      border-bottom: 1px dashed #ddd;
      box-shadow: none !important;
    }

    .card-body {
      padding-left: 1.25rem !important;
      padding-top: 0px;
      padding-bottom: 0px;
      padding-right: 1.25rem !important;
    }

    .fa-angle-right,
    .fa-angle-down {
      color: #343a40;
    }

    .header-content-page .title-page,
    .title-content-page .title,
    .title-page {
      font-size: 20px;
      line-height: normal;
      font-weight: 500;
      color: var(--font-color);
      margin: 0;
      font-family: Roboto, Arial, sans-serif;
    }

    #btnRepresentante {
      background-color: #3ca2d3 !important;
    }

    #btnTransportadora {
      background-color: #5F9EA0 !important;
    }
  </style>


</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title">Modal title</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText">Modal body text goes here.</p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary btn-sisp">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary btn-sisp" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 col-12">
            </div><!-- /.col -->
            <div class="col-sm-6 col-12">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item"><a href="../solicitacao_compra">Solicitação Compra</a></li>
                <li class="breadcrumb-item active">Cadastro</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.container-fluid -->
      </div>

      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card" style="height:auto;min-height:715px">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2 class="m-0">Cadastro de Solicitação de Compra</h2>
                  <button title="Tutorial" class="mt-2 btn btn-info btn-sm ml-2" id="tutorial">
                    <i class="fas fa-question-circle"></i>
                  </button>
                </div>
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                        <li id="payment"><strong>Itens</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em avançar até a conclusão da solicitação de compra</p>
                      <fieldset>
                        <div class="form-card" id="tourGeral">
                          <div class="card-body">
                            <div class="card card-header" role="tab" id="geral">
                              <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample1" href="#multiCollapseExample1" aria-expanded="true" aria-controls="collapseOne1">
                                <div class="row">
                                  <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                    <i class="fas fa-angle-down"></i>
                                  </div>
                                  <div class="col-11">
                                    <h4 class="title-page">
                                      Geral
                                    </h4>
                                  </div>
                                </div>
                              </a>
                            </div>
                            <div class="collapse  show" id="multiCollapseExample1">
                              <div class="card card-body">
                                <div class=" tab-pane fade show active" role="tabpanel" aria-labelledby="geral-tab">

                                  <div class="form-row">
                                    <div class="form-group col-md-3 col-12 d-none">
                                      <label>Atual</label>
                                      <input type="date" class="input-default focus form-control" id="txtDataAlteracao">
                                    </div>
                                    <div class="col-md-3  col-12 form-group" id="tourcodigo">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtNumero">Número</label>
                                      <input type="text" class="input-default focus form-control" id="txtNumero" aria-describedby="codError" name="txtNumero" class="form-control" placeholder="Gerado automaticamente" readonly>
                                    </div>
                                    <div class="col-md-3  col-12 form-group">
                                      <label>Empresa</label>
                                      <div class="input-group">
                                        <select class="form-control select2 select2-danger focus" id="selectEmpresa" name="selectEmpresa" data-dropdown-css-class="select2-danger">
                                        </select>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Cadastro</label>
                                      <input type="date" class="input-default focus form-control" id="txtDataCadastro" readonly enabled>
                                    </div>
                                    <div class="col-md-3  col-12 form-group">
                                      <label>Usuário</label>
                                      <input type="text" class="input-default focus form-control" id="txtUsuario" name="txtUsuario" placeholder="Usuário" enabled readonly>
                                    </div>
                                    <div class="form-group col-9">
                                      <label data-error="wrong" data-success="right" for="txtSolicitante">Solicitante *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSolicitante" name="txtSolicitante" required placeholder="Solicitante *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-solicitante" name="btn-solicitante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-solicitante" name="btn-limpar-solicitante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-3">
                                      <label data-error="wrong" data-success="right" for="txtPrazo">Prazo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtPrazo" name="txtPrazo" required placeholder="Prazo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-prazo" name="btn-prazo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-prazo" name="btn-limpar-prazo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-4 col-12">
                                      <label>Emissão *</label>
                                      <input type="date" class="input-default focus form-control" id="txtDataEmissao">
                                    </div>
                                    <div class="form-group col-md-4 col-12">
                                      <label>Entrega *</label>
                                      <input type="date" class="input-default focus form-control" id="txtDataEntrega">
                                    </div>
                                    <div class="form-group col-md-4 col-12">
                                      <label>Baixa</label>
                                      <input type="date" class="input-default focus form-control" id="txtDataBaixa">
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtColecao">Coleção
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtColecao" name="txtColecao" required placeholder="Coleção">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Colecao" name="btn-Colecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Colecao" name="btn-limpar-Colecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtMotivo">Motivo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtMotivo" name="txtMotivo" required placeholder="Motivo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Motivo" name="btn-Motivo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Motivo" name="btn-limpar-Motivo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtTipo">Tipo *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTipo" name="txtTipo" required placeholder="Tipo *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Tipo" name="btn-Tipo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Tipo" name="btn-limpar-Tipo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-6">
                                      <label data-error="wrong" data-success="right" for="txtTabPreco">Tab. Preço
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtTabPreco" name="txtTabPreco" required placeholder="Tab. Preço">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-TabPreco" name="btn-TabPreco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-TabPreco" name="btn-limpar-TabPreco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-6">
                                      <label data-error="wrong" data-success="right" for="txtCentroCusto">Centro Custo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCentroCusto" name="txtCentroCusto" required placeholder="Centro Custo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CentroCusto" name="btn-CentroCusto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CentroCusto" name="btn-limpar-CentroCusto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="group-default form-group col-6">
                                      <label for="">Status Lib. </label>
                                      <div class="relative">
                                        <select name="" id="txtStatusLib" value="L" class="form-group input-default">
                                          <option value="L">Liberada</option>
                                          <option value="B">Bloqueada</option>
                                        </select>
                                      </div>
                                    </div>
                                    <div class="group-default form-group col-6">
                                      <label for="">Status </label>
                                      <div class="relative">
                                        <select name="" id="txtStatus" value="A" class="form-group input-default">
                                          <option value="A">Aberto</option>
                                          <option value="F">Fechado</option>
                                          <option value="D">Devovido</option>
                                        </select>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="card card-header" role="tab">
                              <a style="width:100%;" id="ObservacoesAba" data-toggle="collapse" data-parent="#multiCollapseExample2" href="#multiCollapseExample2" aria-expanded="true" aria-controls="collapseOne1">
                                <div class="row">
                                  <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                    <i class="fas fa-angle-right"></i>
                                  </div>
                                  <div class="col-11">
                                    <h4 class="title-page">
                                      Observações
                                    </h4>
                                  </div>
                                </div>
                              </a>
                            </div>

                            <div class="collapse" id="multiCollapseExample2">
                              <div class="card card-body">
                                <div class="form-group">
                                  <label>Observação</label>
                                  <textarea style="resize: none" id="txtObs" placeholder="Observação" class="input-default focus form-control" rows="3"></textarea>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <input type="button" id="avancar1" name="next" class="next action-button" value="Avançar" />
                        <input type="button" id="voltarAcesso" class="action-button-previous" value="Voltar" />

                      </fieldset>
                      <fieldset>
                        <div class="row">
                          <div class="col-lg-12 col-12 card card-header" role="tab">
                            <a style="width:100%;" id="Itens" data-toggle="collapse" data-parent="#multiCollapseExample3" href="#multiCollapseExample3" aria-expanded="true" aria-controls="collapseOne1">
                              <div class="row">
                                <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                  <i class="fas fa-angle-right"></i>
                                </div>
                                <div class="col-11">
                                  <h4 class="title-page">
                                    Itens
                                  </h4>
                                </div>
                              </div>
                            </a>
                          </div>
                          <div class="col-lg-12 col-12 collapse show" id="multiCollapseExample3">
                            <div class="card card-body">
                              <div class="card card-header" role="tab">
                                <a style="width:100%;" id="MaterialAba" data-toggle="collapse" data-parent="#ItensMaterial" href="#ItensMaterial" aria-expanded="true" aria-controls="collapseOne1">
                                  <div class="row">
                                    <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                      <i class="fas fa-angle-down"></i>
                                    </div>
                                    <div class="col-11">
                                      <h4 class="title-page" id="labelMaterial">
                                        Material
                                      </h4>
                                    </div>
                                  </div>
                                </a>
                              </div>
                              <div class="collapse" id="ItensMaterial">
                                <div class="card-body">
                                  <div class="pt-2 form-row">
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtMaterial">Material *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtMaterial" name="txtMaterial" required placeholder="Material *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Material" name="btn-Material" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Material" name="btn-limpar-Material" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCorMaterial">Cor *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCorMaterial" name="txtCorMaterial" required placeholder="Cor Material *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CorMaterial" name="btn-CorMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CorMaterial" name="btn-limpar-CorMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDepositoMaterial">Depósito *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtDepositoMaterial" name="txtDepositoMaterial" required placeholder="Depósito *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-DepositoMaterial" name="btn-DepositoMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-DepositoMaterial" name="btn-limpar-DepositoMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtOCMaterial">O.C.
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtOCMaterial" name="txtOCMaterial" required placeholder="O.C.">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-OCMaterial" name="btn-OCMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-OCMaterial" name="btn-limpar-OCMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-4 col-12">
                                      <label>Unidade</label>
                                      <input type="text" class="input-default focus form-control" id="txtUnidadeMaterial" name="txtUnidadeMaterial" placeholder="Unidade">
                                    </div>
                                    <div class="form-group col-md-4 col-12">
                                      <label>Uni. Compra</label>
                                      <input type="text" class="input-default focus form-control" id="txtUniCompraMaterial" name="txtUniCompraMaterial" placeholder="Unidade de Compra">
                                    </div> 
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtFatConvMaterial">Fator Conversão</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtFatConvMaterial" name="txtFatConvMaterial" class="form-control" placeholder="Fator Conversão">
                                      </div>
                                    </div>   
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtQtdeMaterial">Qtde *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeMaterial" name="txtQtdeMaterial" class="form-control" placeholder="Qtde *">
                                      </div>
                                    </div>    
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtPrecoMaterial">Preço </label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtPrecoMaterial" name="txtPrecoMaterial" class="form-control" placeholder="Preço">
                                      </div>
                                    </div>    
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtValorMaterial">Valor</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtValorMaterial" name="txtValorMaterial" class="form-control" placeholder="Valor" disabled>
                                      </div>
                                    </div>  
                                    <div class="form-group col-md-6 col-12">
                                      <label>Especificação</label>
                                      <input type="text" class="input-default focus form-control" id="txtEspecificacaoMaterial" name="txtEspecificacaoMaterial" placeholder="Especificação">
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtContaContMaterial">C. Contabil
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContaContMaterial" name="txtContaContMaterial" required placeholder="C. Contabil">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-ContaContMaterial" name="btn-ContaContMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-ContaContMaterial" name="btn-limpar-ContaContMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>  
                                    <div class="col-12">  
                                      <input type="hidden" id="txtIndexMat"> 
                                      <input type="button" id="btnAdicionarMaterial" name="make_payment" class="action-button" value="Adicionar" />                             
                                    </div>
                                    <div class="col-12" style="margin-top: 10px">
                                      <table id="tabelaItensMaterial" class="table table-responsive-sm table-select table-hover" width="100%">
                                        <thead>
                                          <tr>
                                            <th class="th-sm">Código</th>
                                            <th class="th-sm">Descrição</th>
                                            <th class="th-sm">Cor</th>
                                            <th class="th-sm">Depósito</th>
                                            <th class="th-sm">Foto</th>
                                            <th class="th-sm">O.C.</th>
                                            <th class="th-sm">Unidade</th>
                                            <th class="th-sm">Uni. Compra</th>
                                            <th class="th-sm">Fator Conv.</th>
                                            <th class="th-sm">Qtde</th>
                                            <th class="th-sm">Preço</th>
                                            <th class="th-sm">Valor</th>
                                            <th class="th-sm">Especificacao</th>
                                            <th class="th-sm">C. Contabil</th>
                                            <th class="th-sm">Situação</th>
                                            <th class="th-sm">Ordem</th>
                                            <th class="th-sm">×</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>

                              <div class="card card-header" role="tab">
                                <a style="width:100%;" id="produto" data-toggle="collapse" data-parent="#itensProduto" href="#itensProduto" aria-expanded="true" aria-controls="collapseOne1">
                                  <div class="row">
                                    <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                      <i class="fas fa-angle-right"></i>
                                    </div>
                                    <div class="col-11">
                                      <h4 class="title-page" id="labelProduto">
                                        Produto
                                      </h4>
                                    </div>
                                  </div>
                                </a>
                              </div>
                              <div class="collapse" id="itensProduto">
                                <div class="card-body">
                                  <div class="pt-2 form-row">
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtProduto">Produto *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtProduto" name="txtProduto" required placeholder="Produto *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Produto" name="btn-Produto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Produto" name="btn-limpar-Produto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCorProduto">Cor *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCorProduto" name="txtCorProduto" required placeholder="Cor *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CorProduto" name="btn-CorProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CorProduto" name="btn-limpar-CorProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTamProduto">Tamanho *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtTamProduto" name="txtTamProduto" required placeholder="Tamanho *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-TamProduto" name="btn-TamProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-TamProduto" name="btn-limpar-TamProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDepositoProduto">Depósito *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtDepositoProduto" name="txtDepositoProduto" required placeholder="Depósito *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-DepositoProduto" name="btn-DepositoProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-DepositoProduto" name="btn-limpar-DepositoProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label>Unidade</label>
                                      <input type="text" class="input-default focus form-control" id="txtUnidadeProduto" name="txtUnidadeProduto" placeholder="Unidade">
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label>Uni. Compra</label>
                                      <input type="text" class="input-default focus form-control" id="txtUniCompraProduto" name="txtUniCompraProduto" placeholder="Unidade de Compra">
                                    </div> 
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtQtdeProduto">Qtde *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeProduto" name="txtQtdeProduto" class="form-control" placeholder="Qtde *">
                                      </div>
                                    </div>    
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtPrecoProduto">Preço</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtPrecoProduto" name="txtPrecoProduto" class="form-control" placeholder="Preço">
                                      </div>
                                    </div>    
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtValorProduto">Valor</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtValorProduto" name="txtValorProduto" class="form-control" placeholder="Valor" disabled>
                                      </div>
                                    </div> 
                                    <div class="form-group col-md-6 col-12">
                                      <label>Especificação</label>
                                      <input type="text" class="input-default focus form-control" id="txtEspecificacaoProduto" name="txtEspecificacaoProduto" placeholder="Especificação">
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtContaContProduto">C. Contabil
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContaContProduto" name="txtContaContProduto" required placeholder="C. Contabil">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-ContaContProduto" name="btn-ContaContProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-ContaContProduto" name="btn-limpar-ContaContProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>   
                                    <div class="col-12">  
                                      <input type="hidden" id="txtIndexProd">  
                                      <input type="button" id="btnAdicionarProduto" name="make_payment" class="action-button" value="Adicionar" /> 
                                      <input type="button" id="btnGradeProduto" name="make_payment" class="action-button" value="Grade" />                            
                                    </div>
                                    <div class="col-12" style="margin-top: 10px;">
                                      <table id="tabelaItensProduto" class="table table-responsive-sm table-select table-hover" width="100%">
                                        <thead>
                                          <tr>
                                            <th class="th-sm">Código</th>
                                            <th class="th-sm">Descrição</th>
                                            <th class="th-sm">Cor</th>
                                            <th class="th-sm">Tam</th>
                                            <th class="th-sm">Depósito</th>
                                            <th class="th-sm">Foto</th>
                                            <th class="th-sm">Unidade</th>
                                            <th class="th-sm">Uni. Compra</th>
                                            <th class="th-sm">Qtde</th>
                                            <th class="th-sm">Preço</th>
                                            <th class="th-sm">Valor</th>
                                            <th class="th-sm">Especificacao</th>
                                            <th class="th-sm">C. Contabil</th>
                                            <th class="th-sm">Situação</th>
                                            <th class="th-sm">Ordem</th>
                                            <th class="th-sm">×</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="card card-header" role="tab">
                                <a style="width:100%;" id="servico" data-toggle="collapse" data-parent="#itensServico" href="#itensServico" aria-expanded="true" aria-controls="collapseOne1">
                                  <div class="row">
                                    <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                      <i class="fas fa-angle-right"></i>
                                    </div>
                                    <div class="col-11">
                                      <h4 class="title-page" id="labelServico">
                                        Serviço
                                      </h4>
                                    </div>
                                  </div>
                                </a>
                              </div>
                              <div class="collapse" id="itensServico">
                                <div class="card-body">
                                  <div class="pt-2 form-row">
                                    <div class="form-group col-md-12 col-12">
                                      <label data-error="wrong" data-success="right" for="txtServico">Serviço *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtServico" name="txtServico" required placeholder="Serviço *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Servico" name="btn-Servico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Servico" name="btn-limpar-Servico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtQtdeServico">Qtde *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeServico" name="txtQtdeServico" class="form-control" placeholder="Qtde *">
                                      </div>
                                    </div>    
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtPrecoServico">Preço</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtPrecoServico" name="txtPrecoServico" class="form-control" placeholder="Preço">
                                      </div>
                                    </div>    
                                    <div class="form-group col-md-4 col-12">
                                      <label data-error="wrong" data-success="right" for="txtValorServico">Valor</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtValorServico" name="txtValorServico" class="form-control" placeholder="Valor" disabled>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label>Especificação</label>
                                      <input type="text" class="input-default focus form-control" id="txtEspecificacaoServico" name="txtEspecificacaoServico" placeholder="Especificação">
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtContaContServico">C. Contabil
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContaContServico" name="txtContaContServico" required placeholder="C. Contabil">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-ContaContServico" name="btn-ContaContServico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-ContaContServico" name="btn-limpar-ContaContServico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>  
                                    <div class="col-12">  
                                      <input type="hidden" id="txtIndexServ">  
                                      <input type="button" id="btnAdicionarServico" name="make_payment" class="action-button" value="Adicionar" />                             
                                    </div>
                                    <div class="col-12" style="margin-top: 10px;">
                                      <table id="tabelaItensServico" class="table table-responsive-sm table-select table-hover" width="100%">
                                        <thead>
                                          <tr>
                                            <th class="th-sm">Código</th>
                                            <th class="th-sm">Descrição</th>
                                            <th class="th-sm">Qtde</th>
                                            <th class="th-sm">Preço</th>
                                            <th class="th-sm">Valor</th>
                                            <th class="th-sm">Especificacao</th>
                                            <th class="th-sm">C. Contabil</th>
                                            <th class="th-sm">Situação</th>
                                            <th class="th-sm">Ordem</th>
                                            <th class="th-sm">×</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <input type="button" id="btnGravar" name="make_payment" class="action-button" value="Gravar" />
                        <input type="button" name="previous" id="VoltarGeral" class="previous action-button-previous" value="Voltar" />
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
  <div class="modal fade" id="modalItem" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalItem-titulo" class="modal-title">Adicionar Item</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body" id="dadosItem">
          <div class="row d-flex justify-content-center">
            <div class="col-lg-12  col-12 form-group">
              <label data-error="wrong" data-success="right" for="txtProdutoGrade">Produto</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtProdutoGrade" name="txtProdutoGrade" class="form-control" placeholder="Produto">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btn-ProdutoGrade" name="btn-ProdutoGrade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                  <button class="btn bg-danger" id="btn-limpa-ProdutoGrade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                </div>
              </div>
            </div>
            <div class="col-sm-12 table-responsive card-body">
              <table id="tabelaGradeProduto" class="table table-responsive-sm table-select table-hover" width="100%">
                <thead>
                  <tr id="colunas">
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <div class="col-sm-12">
              <button id="btnConfirmarItem" class="btn btn-danger">Confirmar</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
          <img src="" class="imagepreview" style="width: 100%;">
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../footer.php');
  include_once('../../../modals/modal_estatisticas_entidade.html');
  include_once('../../loja/modais/modal_cep.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->
  <script>
    function formatar(mascara, documento) {
      var i = documento.value.length;
      var saida = mascara.substring(0, 1);
      var texto = mascara.substring(i);

      if (texto.substring(0, 1) != saida) {
        documento.value += texto.substring(0, 1);
      }

    }
  </script>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.231.25.1"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.231.25.1"></script>
  <!-- SweetAlert2 -->
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.231.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.231.25.1"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.231.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.231.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.231.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.231.25.1"></script>
  <script src="../dist/js/dataTables.keyTable.js?versao=3.231.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.231.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.231.25.1"></script>
  <script src="../utils/cookies.js?versao=3.231.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/jquery.mask.min.js?versao=3.231.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.231.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.231.25.1"></script>
  <script>
    $(document).ready(async function() {

      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('SOLICITACAO_COMPRA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("SOLICITACAO_COMPRA");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/solicitacao_compra`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/solicitacao_compra/solicitacao_compra/solicitacao_compra.js?versao=3.231.25.1`;
      insereJavaScriptPagina(sArquivo);
    });
  </script>
</body>

</html>